Localization in Angular PDF Viewer component

16 Oct 202424 minutes to read

The text contents provided in the PDF Viewer can be localized using the collection of localized strings for different cultures. By default, the PDF Viewer is localized in “en-US”.

The following table shows the default text values used in PDF Viewer in ‘en-US’ culture:

Keywords Values
PdfViewer PDF Viewer
Cancel Cancel
Download file Download file
Download Download
Enter Password This document is password protected. Please enter a password.
File Corrupted File corrupted
File Corrupted Content The file is corrupted and cannot be opened.
Fit Page Fit page
Fit Width Fit width
Automatic Automatic
Go To First Page Show first page
Invalid Password Incorrect password. Please try again.
Next Page Show next page
OK OK
Open Open file
Page Number Current page number
Previous Page Show previous page
Go To Last Page Show last page
Zoom Zoom
Zoom In Zoom in
Zoom Out Zoom out
Page Thumbnails Page thumbnails
Bookmarks Bookmarks
Print Print file
Password Protected Password required
Copy Copy
Text Selection Text selection tool
Panning Pan mode
Text Search Find text
Find in document Find in document
Match case Match case
Apply Apply
GoToPage Go to page
No matches Viewer has finished searching the document. No more matches were found
No Text Found No Text Found
Undo Undo
Redo Redo
Annotation Add or Edit annotations
Highlight Highlight Text
Underline Underline Text
Strikethrough Strikethrough Text
Delete Delete annotation
Opacity Opacity
Color edit Change Color
Opacity edit Change Opacity
Highlight context Highlight
Underline context Underline
Strikethrough context Strike through
Server error Web-service is not listening. PDF Viewer depends on web-service for all it’s features. Please start the web service to continue.
Open text Open
First text First Page
Previous text Previous Page
Next text Next Page
Last text Last Page
Zoom in text Zoom In
Zoom out text Zoom Out
Selection text Selection
Pan text Pan
Print text Print
Search text Search
Annotation Edit text Edit Annotation
Line Thickness Line Thickness
Line Properties Line Properties
Start Arrow Start Arrow
End Arrow End Arrow
Line Style Line Style
Fill Color Fill Color
Line Color Line Color
None None
Open Arrow Open Arrow
Closed Arrow Closed Arrow
Round Arrow Round Arrow
Square Arrow Square Arrow
Diamond Arrow Diamond Arrow
Cut Cut
Paste Paste
Delete Context Delete Context
Properties Properties
Add Stamp Add Stamp
Add Shapes Add Shapes
Stroke edit Stroke Edit
Change thickness Change Thickness
Add line Add Line
Add arrow Add Arrow
Add rectangle Add Rectangle
Add circle Add Circle
Add polygon Add Polygon
Add Comments Add Comments
Comments Comments
No Comments Yet No Comments Yet
Accepted Accepted
Completed Completed
Cancelled Cancelled
Rejected Rejected
Leader Length Leader Length
Scale Ratio Scale Ratio
Calibrate Calibrate
Calibrate Distance Calibrate Distance
Calibrate Perimeter Calibrate Perimeter
Calibrate Area Calibrate Area
Calibrate Radius Calibrate Radius
Calibrate Volume Calibrate Volume
Depth Depth
Closed Closed
Round Round
Square Square
Diamond Diamond
Edit Edit
Comment Comment
Comment Panel Comment Panel
Set Status Set Status
Post Post
Page Page
Add a comment Add a comment
Add a reply Add a reply
Import Annotations Import Annotations
Export Annotations Export Annotations
Add Add
Clear Clear
Bold Bold
Italic Italic
Strikethroughs Strikethroughs
Underlines Underlines
Superscript Superscript
Subscript Subscript
Align left Align Left
Align right Align Right
Center Center
Justify Justify
Font color Font Color
Text Align Text Align
Text Properties Text Properties
Draw Signature Draw Signature
Create Create
Font family Font Family
Font size Font Size
Free Text Free Text
Import Failed Import Failed
File not found File Not Found
Export Failed Export Failed
Dynamic Dynamic
Standard Business Standard Business
Sign Here Sign Here
Custom Stamp Custom Stamp
InitialFieldDialogHeaderText Initial Field Dialog Header Text
HandwrittenInitialDialogHeaderText Handwritten Initial Dialog Header Text
SignatureFieldDialogHeaderText Signature Field Dialog Header Text
HandwrittenSignatureDialogHeaderText Handwritten Signature Dialog Header Text
Draw-hand Signature Draw-hand Signature
Type Signature Type Signature
Upload Signature Upload Signature
Browse Signature Image Browse Signature Image
Save Signature Save Signature
Save Initial Save Initial
highlight highlight
underline underline
strikethrough strikethrough
FormDesigner Form Designer
SubmitForm Submit Form
Search text Search Text
Draw Ink Draw Ink
Revised Revised
Reviewed Reviewed
Received Received
Confidential Confidential
Approved Approved
Not Approved Not Approved
Witness Witness
Initial Here Initial Here
Draft Draft
Final Final
For Public Release For Public Release
Not For Public Release Not For Public Release
For Comment For Comment
Void Void
Preliminary Results Preliminary Results
Information Only Information Only
Enter Signature as Name Enter Signature as Name
Textbox Textbox
Password Password
Check Box Check Box
Radio Button Radio Button
Dropdown Dropdown
List Box List Box
Signature Signature
Delete FormField Delete FormField
FormDesigner Edit text Form Designer Edit Text
in in
m m
ft_in ft_in
ft ft
p p
cm cm
mm mm
pt pt
cu cu
sq sq
General General
Appearance Appearance
Options Options
Textbox Properties Textbox Properties
Name Name
Tooltip Tooltip
Value Value
Form Field Visibility Form Field Visibility
Read Only Read Only
Required Required
Checked Checked
Show Printing Show Printing
Formatting Formatting
Fill Fill
Border Border
Border Color Border Color
Thickness Thickness
Max Length Max Length
List Item List Item
Export Value Export Value
Dropdown Item List Dropdown Item List
List Box Item List List Box Item List
Delete Item Delete Item
Up Up
Down Down
Multiline Multiline
Initial Initial
Export XFDF Export XFDF
Import XFDF Import XFDF
Organize Pages Organize Pages
Insert Right Insert Right
Insert Left Insert Left
Total Total
Pages Pages
Rotate Right Rotate Right
Rotate Left Rotate Left
Delete Page Delete Page
Delete Pages Delete Pages
Copy Page Copy Page
Copy Pages Copy Pages
Save Save
Save As Save As
Select All Select All
Import Document Import Document
Match any word Match any word

The different locale value for the PDF Viewer can be specified using the locale property.

import { Component, OnInit } from '@angular/core';
import { LinkAnnotationService, BookmarkViewService, MagnificationService,
         ThumbnailViewService, ToolbarService, NavigationService,
         TextSearchService, AnnotationService, TextSelectionService,
         PrintService
       } from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-container',
  // specifies the template string for the PDF Viewer component
  template: `<div class="content-wrapper">
              <ejs-pdfviewer id="pdfViewer"
                      locale='ar-AE'
                      [documentPath]='document'
                      style="height:640px;display:block">
              </ejs-pdfviewer>
            </div>`,
  providers: [ LinkAnnotationService, BookmarkViewService, MagnificationService,
               ThumbnailViewService, ToolbarService, NavigationService,
               AnnotationService, TextSearchService, TextSelectionService,
               PrintService]
  })
  export class AppComponent implements OnInit {
    public document = 'https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf';
  }
import { Component, OnInit } from '@angular/core';
import { LinkAnnotationService, BookmarkViewService, MagnificationService,
         ThumbnailViewService, ToolbarService, NavigationService,
         TextSearchService, AnnotationService, TextSelectionService,
         PrintService
       } from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-container',
  // specifies the template string for the PDF Viewer component
  template: `<div class="content-wrapper">
              <ejs-pdfviewer id="pdfViewer"
                      [serviceUrl]='service'
                      locale='ar-AE'
                      [documentPath]='document'
                      style="height:640px;display:block">
              </ejs-pdfviewer>
            </div>`,
  providers: [ LinkAnnotationService, BookmarkViewService, MagnificationService,
               ThumbnailViewService, ToolbarService, NavigationService,
               AnnotationService, TextSearchService, TextSelectionService,
               PrintService]
  })
  export class AppComponent implements OnInit {
    public service = 'https://services.syncfusion.com/angular/production/api/pdfviewer';
    public document = 'https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf';
  }

You have to map the text content based on locale like following script in sample level.,

<script>
    ej.base.L10n.load({
                'ar-AE': {
                    'PdfViewer': {
                        'PdfViewer': 'قوات الدفاع الشعبي المشاهد',
                        'Cancel': 'إلغاء',
                        'Download file': 'تحميل الملف',
                        'Download': 'تحميل',
                        'Enter Password': 'هذا المستند محمي بكلمة مرور. يرجى إدخال كلمة مرور.',
                        'File Corrupted': 'ملف تالف',
                        'File Corrupted Content': 'الملف تالف ولا يمكن فتحه.',
                        'Fit Page': 'لائق بدنيا الصفحة',
                        'Fit Width': 'لائق بدنيا عرض',
                        'Automatic': 'تلقائي',
                        'Go To First Page': 'عرض الصفحة الأولى',
                        'Invalid Password': 'كلمة سر خاطئة. حاول مرة اخرى.',
                        'Next Page': 'عرض الصفحة التالية',
                        'OK': 'حسنا',
                        'Open': 'فتح الملف',
                        'Page Number': 'رقم الصفحة الحالية',
                        'Previous Page': 'عرض الصفحة السابقة',
                        'Go To Last Page': 'عرض الصفحة الأخيرة',
                        'Zoom': 'تكبير',
                        'Zoom In': 'تكبير في',
                        'Zoom Out': 'تكبير خارج',
                        'Page Thumbnails': 'مصغرات الصفحة',
                        'Bookmarks': 'المرجعية',
                        'Print': 'اطبع الملف',
                        'Password Protected': 'كلمة المرور مطلوبة',
                        'Copy': 'نسخ',
                        'Text Selection': 'أداة اختيار النص',
                        'Panning': 'وضع عموم',
                        'Text Search': 'بحث عن نص',
                        'Find in document': 'ابحث في المستند',
                        'Match case': 'حالة مباراة',
                        'Apply': 'تطبيق',
                        'GoToPage': 'انتقل إلى صفحة',
                        'No matches': 'انتهى العارض من البحث في المستند. لم يتم العثور على مزيد من التطابقات',
                        'No Text Found': 'لم يتم العثور على نص',
                        'Undo': 'فك',
                        'Redo': 'فعل ثانية',
                        'Annotation': 'إضافة أو تعديل التعليقات التوضيحية',
                        'Highlight': 'تسليط الضوء على النص',
                        'Underline': 'تسطير النص',
                        'Strikethrough': 'نص يتوسطه خط',
                        'Delete': 'حذف التعليق التوضيحي',
                        'Opacity': 'غموض',
                        'Color edit': 'غير اللون',
                        'Opacity edit': 'تغيير التعتيم',
                        'highlight': 'تسليط الضوء',
                        'underline': 'أكد',
                        'strikethrough': 'يتوسطه',
                        // tslint:disable-next-line:max-line-length
                        'Server error': 'خدمة الانترنت لا يستمع. يعتمد قوات الدفاع الشعبي المشاهد على خدمة الويب لجميع ميزاته. يرجى بدء خدمة الويب للمتابعة.',
                        'Open text': 'افتح',
                        'First text': 'الصفحة الأولى',
                        'Previous text': 'الصفحة السابقة',
                        'Next text': 'الصفحة التالية',
                        'Last text': 'آخر صفحة',
                        'Zoom in text': 'تكبير',
                        'Zoom out text': 'تصغير',
                        'Selection text': 'اختيار',
                        'Pan text': 'مقلاة',
                        'Print text': 'طباعة',
                        'Seach text': 'بحث',
                        'Annotation Edit text': 'تحرير التعليق التوضيحي',
                        'Line Thickness': 'سمك الخط',
                        'Line Properties': 'خط الخصائص',
                        'Start Arrow': 'ابدأ السهم',
                        'End Arrow': 'نهاية السهم',
                        'Line Style': 'أسلوب الخط',
                        'Fill Color': 'ملء اللون',
                        'Line Color': ' الخط اللون',
                        'None': 'لا شيء',
                        'Open Arrow': 'افتح',
                        'Closed Arrow': 'مغلق',
                        'Round Arrow': 'مستدير',
                        'Square Arrow': 'مربع',
                        'Diamond Arrow': 'الماس',
                        'Cut': 'يقطع',
                        'Paste': 'معجون',
                        'Delete Context': 'حذف',
                        'Properties': 'الخصائص',
                        'Add Stamp': 'إضافة الطوابع',
                        'Add Shapes': 'أضف الأشكال',
                        'Stroke edit': 'تغيير لون السكتة الدماغية',
                        'Change thickness': 'تغيير سمك الحدود',
                        'Add line': 'إضافة خط',
                        'Add arrow': 'سهم إضافة',
                        'Add rectangle': 'أضف مستطيل',
                        'Add circle': 'إضافة دائرة',
                        'Add polygon': 'أضف مضلع',
                        'Add Comments': 'أضف تعليقات',
                        'Comments': 'تعليقات',
                        'No Comments Yet': 'لا توجد تعليقات حتى الآن',
                        'Accepted': 'وافقت',
                        'Completed': 'منجز',
                        'Cancelled': 'ألغيت',
                        'Rejected': 'مرفوض',
                        'Leader Length': 'زعيم الطول',
                        'Scale Ratio': 'نسبة مقياس',
                        'Calibrate': 'عاير',
                        'Calibrate Distance': 'معايرة المسافة',
                        'Calibrate Perimeter': 'معايرة محيط',
                        'Calibrate Area': 'عاير منطقة',
                        'Calibrate Radius': 'معايرة نصف القطر',
                        'Calibrate Volume': 'معايرة الحجم',
                        'Depth': 'عمق',
                        'Closed': 'مغلق',
                        'Round': 'مستدير',
                        'Square': 'ميدان',
                        'Diamond': 'الماس',
                        'Edit': 'تصحيح',
                        'Comment': 'تعليقات',
                        'Comment Panel': 'لوحة التعليقات',
                        'Set Status': 'تعيين الحالة',
                        'Post': 'بريد',
                        'Page': 'صفحة',
                        'Add a comment': 'أضف تعليق',
                        'Add a reply': 'أضف رد',
                        'Import Annotations': 'استيراد التعليقات التوضيحية',
                        'Export Annotations': 'شروح التصدير',
                        'Add': 'أضف',
                        'Clear': 'واضح',
                        'Bold': 'بالخط العريض',
                        'Italic': 'مائل',
                        'Strikethroughs': 'يتوسطه',
                        'Underlines': 'تحت الخط',
                        'Superscript': 'حرف فوقي',
                        'Subscript': 'الفرعية النصي',
                        'Align left': 'محاذاة اليسار',
                        'Align right': 'محاذاة اليمين',
                        'Center': 'مركز',
                        'Justify': 'برر',
                        'Font color': 'لون الخط',
                        'Text Align': 'محاذاة النص',
                        'Text Properties': 'نوع الخط',
                        'Draw Signature': 'ارسم التوقيع',
                        'Create': 'خلق',
                        'Font family': 'خط العائلة',
                        'Font size': 'حجم الخط',
                        'Free Text': 'نص حر',
                        'Import Failed': 'نوع ملف سلمان أو اسم الملف غير صالح ؛ يرجى تحديد ملف سلمانصالح',
                        'File not found': 'لم يتم العثور على ملف سلمان المستورد في الموقع المطلوب',
                        'Export Failed': 'شل إجراء تصدير التعليقات التوضيحية ؛ يرجى التأكد من إضافة التعليقات التوضيحية بشكل صحيح',
                        'Dynamic': 'متحرك',
                        'Standard Business': 'الأعمال القياسية',
                        'Sign Here': 'وقع هنا',
                        'Custom Stamp': 'ختم مخصص',
                        'InitialFieldDialogHeaderText': 'إضافة الأولية',
                        'HandwrittenInitialDialogHeaderText': 'إضافة الأولية',
                        'SignatureFieldDialogHeaderText': 'أضف التوقيع',
                        'HandwrittenSignatureDialogHeaderText': 'أضف التوقيع',
                        'Draw-hand Signature': 'يرسم',
                        'Type Signature': 'نوع',
                        'Upload Signature': 'تحميل',
                        'Browse Signature Image': 'تصفح',
                        'Save Signature': 'احفظ التوقيع',
                        'Save Initial': 'حفظ الأولي',
                        'Highlight context': 'تسليط الضوء',
                        'Underline context': 'تسطير',
                        'Strikethrough context': 'يتوسطه خط',
                        'FormDesigner': 'إضافة وتحرير حقل النموذج',
                        'SubmitForm': 'تقديم النموذج',
                        'Search text': 'بحث',
                        'Draw Ink': 'ارسم الحبر',
                        'Revised': 'مراجعة',
                        'Reviewed': 'تمت المراجعة',
                        'Received': 'تم الاستلام',
                        'Confidential': 'مؤتمن',
                        'Approved': 'وافق',
                        'Not Approved': 'غير مقبول',
                        'Witness': 'الشاهد',
                        'Initial Here': 'المبدئي هنا',
                        'Draft': 'مشروع',
                        'Final': 'أخير',
                        'For Public Release': 'للنشر العام',
                        'Not For Public Release': 'ليس للنشر العام',
                        'For Comment': 'للتعليق',
                        'Void': 'فارغ',
                        'Preliminary Results': 'نتائج اولية',
                        'Information Only': 'المعلومات فقط',
                        'Enter Signature as Name': 'أدخل أسمك',
                        'Textbox': 'مربع الكتابة',
                        'Password': 'كلمه السر',
                        'Check Box': 'خانة اختيار',
                        'Radio Button': 'زر الراديو',
                        'Dropdown': 'اسقاط',
                        'List Box': 'مربع القائمة',
                        'Signature': 'إمضاء',
                        'Delete FormField': 'حذف حقل النموذج',
                        'FormDesigner Edit text': 'إضافة وتحرير حقل النموذج',
                        'in': 'في',
                        'm': 'م',
                        'ft_in': 'قدم',
                        'ft': 'قدم',
                        'p': 'ص',
                        'cm': 'سم',
                        'mm': 'مم',
                        'pt': 'نقطة',
                        'cu': 'مكعب',
                        'sq': 'قدم مربع',
                        'General': 'جنرال لواء',
                        'Appearance': 'مظهر خارجي',
                        'Options': 'والخيارات',
                        'Textbox Properties': 'خصائص مربع النص',
                        'Name': 'اسم',
                        'Tooltip': 'تلميح',
                        'Value': 'القيمة',
                        'Form Field Visibility': 'رؤية حقل النموذج',
                        'Read Only': 'يقرأ فقط',
                        'Required': 'مطلوب',
                        'Checked': 'التحقق',
                        'Show Printing': 'عرض الطباعة',
                        'Formatting': 'صيغة',
                        'Fill': 'يملأ',
                        'Border': 'الحدود',
                        'Border Color': 'لون الحدود',
                        'Thickness': 'السماكة',
                        'Max Length': 'الحد الاقصى للطول',
                        'List Item': 'اسم العنصر',
                        'Export Value': 'قيمة البند',
                        'Dropdown Item List': 'قائمة العناصر المنسدلة',
                        'List Box Item List': 'قائمة عناصر مربع القائمة',
                        'Delete Item': 'حذف',
                        'Up': 'فوق',
                        'Down': 'تحت',
                        'Multiline': 'متعدد الأسطر',
                        'Initial': 'أولي',
                        'Export XFDF': 'تصدير التعليق التوضيحي إلى ملف XFDF',
                        'Import XFDF': 'استيراد التعليقات التوضيحية من ملف XFDF',
                        'Organize Pages': 'تنظيم الصفحات',
                        'Insert Right': 'أدخل الحق',
                        'Insert Left': 'أدخل اليسار',
                        'Total': 'المجموع',
                        'Pages': 'الصفحات',
                        'Rotate Right': 'تدوير لليمين',
                        'Rotate Left': 'استدر يسارا',
                        'Delete Page': 'حذف الصفحة',
                        'Delete Pages': 'حذف الصفحات',
                        'Copy Page': 'انسخ الصفحة',
                        'Copy Pages': 'نسخ الصفحات',
                        'Save': 'يحفظ',
                        'Save As': 'حفظ باسم',
                        'Select All': 'اختر الكل',
                        'Import Document': 'استيراد المستند',
                        'Match any word': 'تطابق أي كلمة'
                    }
                }
            });
</script>

Globalization in Vue Pdfviewer component

16 Oct 202424 minutes to read

The text contents provided in the PDF Viewer can be localized using the collection of localized strings for different cultures. By default, the PDF Viewer is localized in “en-US”.

The following table shows the default text values used in PDF Viewer in ‘en-US’ culture:

Keywords Values  
PdfViewer PDF Viewer  
Cancel Cancel  
Download file Download file  
Download Download  
Enter Password This document is password protected. Please enter a password.  
File Corrupted File corrupted  
File Corrupted Content The file is corrupted and cannot be opened.  
Fit Page Fit page  
Fit Width Fit width  
Automatic Automatic  
Go To First Page Show first page  
Invalid Password Incorrect password. Please try again.  
Next Page Show next page  
OK OK  
Open Open file  
Page Number Current page number  
Previous Page Show previous page  
Go To Last Page Show last page  
Zoom Zoom  
Zoom In Zoom in  
Zoom Out Zoom out  
Page Thumbnails Page thumbnails  
Bookmarks Bookmarks  
Print Print file  
Password Protected Password required  
Copy Copy  
Text Selection Text selection tool  
Panning Pan mode  
Text Search Find text  
Find in document Find in document  
Match case Match case  
Apply Apply  
GoToPage Go to page  
No matches Viewer has finished searching the document. No more matches were found  
No Text Found No Text Found  
Undo Undo  
Redo Redo  
Annotation Add or Edit annotations  
Highlight Highlight Text  
Underline Underline Text  
Strikethrough Strikethrough Text  
Delete Delete annotation  
Opacity Opacity  
Color edit Change Color  
Opacity edit Change Opacity  
Highlight context Highlight  
Underline context Underline  
Strikethrough context Strike through  
Server error Web-service is not listening. PDF Viewer depends on web-service for all it’s features. Please start the web service to continue.  
Open text Open  
First text First Page  
Previous text Previous Page  
Next text Next Page  
Last text Last Page  
Zoom in text Zoom In  
Zoom out text Zoom Out  
Selection text Selection  
Pan text Pan  
Print text Print  
Search text Search  
Annotation Edit text Edit Annotation Please start the web service to continue.
Line Thickness Line Thickness  
Line Properties Line Properties  
Start Arrow Start Arrow  
End Arrow End Arrow  
Line Style Line Style  
Fill Color Fill Color  
Line Color Line Color  
None None  
Open Arrow Open Arrow  
Closed Arrow Closed Arrow  
Round Arrow Round Arrow  
Square Arrow Square Arrow  
Diamond Arrow Diamond Arrow  
Cut Cut  
Paste Paste  
Delete Context Delete Context  
Properties Properties  
Add Stamp Add Stamp  
Add Shapes Add Shapes  
Stroke edit Stroke Edit  
Change thickness Change Thickness  
Add line Add Line  
Add arrow Add Arrow  
Add rectangle Add Rectangle  
Add circle Add Circle  
Add polygon Add Polygon  
Add Comments Add Comments  
Comments Comments  
No Comments Yet No Comments Yet  
Accepted Accepted  
Completed Completed  
Cancelled Cancelled  
Rejected Rejected  
Leader Length Leader Length  
Scale Ratio Scale Ratio  
Calibrate Calibrate  
Calibrate Distance Calibrate Distance  
Calibrate Perimeter Calibrate Perimeter  
Calibrate Area Calibrate Area  
Calibrate Radius Calibrate Radius  
Calibrate Volume Calibrate Volume  
Depth Depth  
Closed Closed  
Round Round  
Square Square  
Diamond Diamond  
Edit Edit  
Comment Comment  
Comment Panel Comment Panel  
Set Status Set Status  
Post Post  
Page Page  
Add a comment Add a comment  
Add a reply Add a reply  
Import Annotations Import Annotations  
Export Annotations Export Annotations  
Add Add  
Clear Clear  
Bold Bold  
Italic Italic  
Strikethroughs Strikethroughs  
Underlines Underlines  
Superscript Superscript  
Subscript Subscript  
Align left Align Left  
Align right Align Right  
Center Center  
Justify Justify  
Font color Font Color  
Text Align Text Align  
Text Properties Text Properties  
Draw Signature Draw Signature  
Create Create  
Font family Font Family  
Font size Font Size  
Free Text Free Text  
Import Failed Import Failed  
File not found File Not Found  
Export Failed Export Failed  
Dynamic Dynamic  
Standard Business Standard Business  
Sign Here Sign Here  
Custom Stamp Custom Stamp  
InitialFieldDialogHeaderText Initial Field Dialog Header Text  
HandwrittenInitialDialogHeaderText Handwritten Initial Dialog Header Text  
SignatureFieldDialogHeaderText Signature Field Dialog Header Text  
HandwrittenSignatureDialogHeaderText Handwritten Signature Dialog Header Text  
Draw-hand Signature Draw-hand Signature  
Type Signature Type Signature  
Upload Signature Upload Signature  
Browse Signature Image Browse Signature Image  
Save Signature Save Signature  
Save Initial Save Initial  
highlight highlight  
underline underline  
strikethrough strikethrough  
FormDesigner Form Designer  
SubmitForm Submit Form  
Search text Search Text  
Draw Ink Draw Ink  
Revised Revised  
Reviewed Reviewed  
Received Received  
Confidential Confidential  
Approved Approved  
Not Approved Not Approved  
Witness Witness  
Initial Here Initial Here  
Draft Draft  
Final Final  
For Public Release For Public Release  
Not For Public Release Not For Public Release  
For Comment For Comment  
Void Void  
Preliminary Results Preliminary Results  
Information Only Information Only  
Enter Signature as Name Enter Signature as Name  
Textbox Textbox  
Password Password  
Check Box Check Box  
Radio Button Radio Button  
Dropdown Dropdown  
List Box List Box  
Signature Signature  
Delete FormField Delete FormField  
FormDesigner Edit text Form Designer Edit Text  
in in  
m m  
ft_in ft_in  
ft ft  
p p  
cm cm  
mm mm  
pt pt  
cu cu  
sq sq  
General General  
Appearance Appearance  
Options Options  
Textbox Properties Textbox Properties  
Name Name  
Tooltip Tooltip  
Value Value  
Form Field Visibility Form Field Visibility  
Read Only Read Only  
Required Required  
Checked Checked  
Show Printing Show Printing  
Formatting Formatting  
Fill Fill  
Border Border  
Border Color Border Color  
Thickness Thickness  
Max Length Max Length  
List Item List Item  
Export Value Export Value  
Dropdown Item List Dropdown Item List  
List Box Item List List Box Item List  
Delete Item Delete Item  
Up Up  
Down Down  
Multiline Multiline  
Initial Initial  
Export XFDF Export XFDF  
Import XFDF Import XFDF  
Organize Pages Organize Pages  
Insert Right Insert Right  
Insert Left Insert Left  
Total Total  
Pages Pages  
Rotate Right Rotate Right  
Rotate Left Rotate Left  
Delete Page Delete Page  
Delete Pages Delete Pages  
Copy Page Copy Page  
Copy Pages Copy Pages  
Save Save  
Save As Save As  
Select All Select All  
Import Document Import Document  
Match any word Match any word  

The different locale value for the PDF Viewer can be specified using the locale property.

<template>
  <div id="app">
    <ejs-pdfviewer id="pdfViewer" :documentPath="documentPath" :resourceUrl="resourceUrl" locale='ar-AE'>
    </ejs-pdfviewer>
  </div>
</template>

<script setup>
import { provide } from 'vue';
import {
  PdfViewerComponent as EjsPdfviewer, Toolbar, Magnification, Navigation,
  Annotation, LinkAnnotation, BookmarkView, ThumbnailView,
  Print, TextSelection, TextSearch, FormFields, FormDesigner
} from '@syncfusion/ej2-vue-pdfviewer';
import { L10n } from '@syncfusion/ej2-base';

const documentPath = "https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf";
const resourceUrl = "https://cdn.syncfusion.com/ej2/24.1.41/dist/ej2-pdfviewer-lib";

provide('PdfViewer', [Toolbar, Magnification, Navigation, LinkAnnotation, Annotation, BookmarkView,
  ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner]);
//PDF Viewer Arabic Sample Locale
L10n.load({
  'ar-AE': {
    'PdfViewer': {
      'PdfViewer': 'قوات الدفاع الشعبي المشاهد',
      'Cancel': 'إلغاء',
      'Download file': 'تحميل الملف',
      'Download': 'تحميل',
      'Enter Password': 'هذا المستند محمي بكلمة مرور. يرجى إدخال كلمة مرور.',
      'File Corrupted': 'ملف تالف',
      'File Corrupted Content': 'الملف تالف ولا يمكن فتحه.',
      'Fit Page': 'لائق بدنيا الصفحة',
      'Fit Width': 'لائق بدنيا عرض',
      'Automatic': 'تلقائي',
      'Go To First Page': 'عرض الصفحة الأولى',
      'Invalid Password': 'كلمة سر خاطئة. حاول مرة اخرى.',
      'Next Page': 'عرض الصفحة التالية',
      'OK': 'حسنا',
      'Open': 'فتح الملف',
      'Page Number': 'رقم الصفحة الحالية',
      'Previous Page': 'عرض الصفحة السابقة',
      'Go To Last Page': 'عرض الصفحة الأخيرة',
      'Zoom': 'تكبير',
      'Zoom In': 'تكبير في',
      'Zoom Out': 'تكبير خارج',
      'Page Thumbnails': 'مصغرات الصفحة',
      'Bookmarks': 'المرجعية',
      'Print': 'اطبع الملف',
      'Password Protected': 'كلمة المرور مطلوبة',
      'Copy': 'نسخ',
      'Text Selection': 'أداة اختيار النص',
      'Panning': 'وضع عموم',
      'Text Search': 'بحث عن نص',
      'Find in document': 'ابحث في المستند',
      'Match case': 'حالة مباراة',
      'Apply': 'تطبيق',
      'GoToPage': 'انتقل إلى صفحة',
      'No matches': 'انتهى العارض من البحث في المستند. لم يتم العثور على مزيد من التطابقات',
      'No Text Found': 'لم يتم العثور على نص',
      'Undo': 'فك',
      'Redo': 'فعل ثانية',
      'Annotation': 'إضافة أو تعديل التعليقات التوضيحية',
      'Highlight': 'تسليط الضوء على النص',
      'Underline': 'تسطير النص',
      'Strikethrough': 'نص يتوسطه خط',
      'Delete': 'حذف التعليق التوضيحي',
      'Opacity': 'غموض',
      'Color edit': 'غير اللون',
      'Opacity edit': 'تغيير التعتيم',
      'highlight': 'تسليط الضوء',
      'underline': 'أكد',
      'strikethrough': 'يتوسطه',
      // tslint:disable-next-line:max-line-length
      'Server error': 'خدمة الانترنت لا يستمع. يعتمد قوات الدفاع الشعبي المشاهد على خدمة الويب لجميع ميزاته. يرجى بدء خدمة الويب للمتابعة.',
      'Open text': 'افتح',
      'First text': 'الصفحة الأولى',
      'Previous text': 'الصفحة السابقة',
      'Next text': 'الصفحة التالية',
      'Last text': 'آخر صفحة',
      'Zoom in text': 'تكبير',
      'Zoom out text': 'تصغير',
      'Selection text': 'اختيار',
      'Pan text': 'مقلاة',
      'Print text': 'طباعة',
      'Seach text': 'بحث',
      'Annotation Edit text': 'تحرير التعليق التوضيحي',
      'Line Thickness': 'سمك الخط',
      'Line Properties': 'خط الخصائص',
      'Start Arrow': 'ابدأ السهم',
      'End Arrow': 'نهاية السهم',
      'Line Style': 'أسلوب الخط',
      'Fill Color': 'ملء اللون',
      'Line Color': ' الخط اللون',
      'None': 'لا شيء',
      'Open Arrow': 'افتح',
      'Closed Arrow': 'مغلق',
      'Round Arrow': 'مستدير',
      'Square Arrow': 'مربع',
      'Diamond Arrow': 'الماس',
      'Cut': 'يقطع',
      'Paste': 'معجون',
      'Delete Context': 'حذف',
      'Properties': 'الخصائص',
      'Add Stamp': 'إضافة الطوابع',
      'Add Shapes': 'أضف الأشكال',
      'Stroke edit': 'تغيير لون السكتة الدماغية',
      'Change thickness': 'تغيير سمك الحدود',
      'Add line': 'إضافة خط',
      'Add arrow': 'سهم إضافة',
      'Add rectangle': 'أضف مستطيل',
      'Add circle': 'إضافة دائرة',
      'Add polygon': 'أضف مضلع',
      'Add Comments': 'أضف تعليقات',
      'Comments': 'تعليقات',
      'No Comments Yet': 'لا توجد تعليقات حتى الآن',
      'Accepted': 'وافقت',
      'Completed': 'منجز',
      'Cancelled': 'ألغيت',
      'Rejected': 'مرفوض',
      'Leader Length': 'زعيم الطول',
      'Scale Ratio': 'نسبة مقياس',
      'Calibrate': 'عاير',
      'Calibrate Distance': 'معايرة المسافة',
      'Calibrate Perimeter': 'معايرة محيط',
      'Calibrate Area': 'عاير منطقة',
      'Calibrate Radius': 'معايرة نصف القطر',
      'Calibrate Volume': 'معايرة الحجم',
      'Depth': 'عمق',
      'Closed': 'مغلق',
      'Round': 'مستدير',
      'Square': 'ميدان',
      'Diamond': 'الماس',
      'Edit': 'تصحيح',
      'Comment': 'تعليقات',
      'Comment Panel': 'لوحة التعليقات',
      'Set Status': 'تعيين الحالة',
      'Post': 'بريد',
      'Page': 'صفحة',
      'Add a comment': 'أضف تعليق',
      'Add a reply': 'أضف رد',
      'Import Annotations': 'استيراد التعليقات التوضيحية',
      'Export Annotations': 'شروح التصدير',
      'Add': 'أضف',
      'Clear': 'واضح',
      'Bold': 'بالخط العريض',
      'Italic': 'مائل',
      'Strikethroughs': 'يتوسطه',
      'Underlines': 'تحت الخط',
      'Superscript': 'حرف فوقي',
      'Subscript': 'الفرعية النصي',
      'Align left': 'محاذاة اليسار',
      'Align right': 'محاذاة اليمين',
      'Center': 'مركز',
      'Justify': 'برر',
      'Font color': 'لون الخط',
      'Text Align': 'محاذاة النص',
      'Text Properties': 'نوع الخط',
      'Draw Signature': 'ارسم التوقيع',
      'Create': 'خلق',
      'Font family': 'خط العائلة',
      'Font size': 'حجم الخط',
      'Free Text': 'نص حر',
      'Import Failed': 'نوع ملف سلمان أو اسم الملف غير صالح ؛ يرجى تحديد ملف سلمانصالح',
      'File not found': 'لم يتم العثور على ملف سلمان المستورد في الموقع المطلوب',
      'Export Failed': 'شل إجراء تصدير التعليقات التوضيحية ؛ يرجى التأكد من إضافة التعليقات التوضيحية بشكل صحيح',
      'Dynamic': 'متحرك',
      'Standard Business': 'الأعمال القياسية',
      'Sign Here': 'وقع هنا',
      'Custom Stamp': 'ختم مخصص',
      'InitialFieldDialogHeaderText': 'إضافة الأولية',
      'HandwrittenInitialDialogHeaderText': 'إضافة الأولية',
      'SignatureFieldDialogHeaderText': 'أضف التوقيع',
      'HandwrittenSignatureDialogHeaderText': 'أضف التوقيع',
      'Draw-hand Signature': 'يرسم',
      'Type Signature': 'نوع',
      'Upload Signature': 'تحميل',
      'Browse Signature Image': 'تصفح',
      'Save Signature': 'احفظ التوقيع',
      'Save Initial': 'حفظ الأولي',
      'Highlight context': 'تسليط الضوء',
      'Underline context': 'تسطير',
      'Strikethrough context': 'يتوسطه خط',
      'FormDesigner': 'إضافة وتحرير حقل النموذج',
      'SubmitForm': 'تقديم النموذج',
      'Search text': 'بحث',
      'Draw Ink': 'ارسم الحبر',
      'Revised': 'مراجعة',
      'Reviewed': 'تمت المراجعة',
      'Received': 'تم الاستلام',
      'Confidential': 'مؤتمن',
      'Approved': 'وافق',
      'Not Approved': 'غير مقبول',
      'Witness': 'الشاهد',
      'Initial Here': 'المبدئي هنا',
      'Draft': 'مشروع',
      'Final': 'أخير',
      'For Public Release': 'للنشر العام',
      'Not For Public Release': 'ليس للنشر العام',
      'For Comment': 'للتعليق',
      'Void': 'فارغ',
      'Preliminary Results': 'نتائج اولية',
      'Information Only': 'المعلومات فقط',
      'Enter Signature as Name': 'أدخل أسمك',
      'Textbox': 'مربع الكتابة',
      'Password': 'كلمه السر',
      'Check Box': 'خانة اختيار',
      'Radio Button': 'زر الراديو',
      'Dropdown': 'اسقاط',
      'List Box': 'مربع القائمة',
      'Signature': 'إمضاء',
      'Delete FormField': 'حذف حقل النموذج',
      'FormDesigner Edit text': 'إضافة وتحرير حقل النموذج',
      'in': 'في',
      'm': 'م',
      'ft_in': 'قدم',
      'ft': 'قدم',
      'p': 'ص',
      'cm': 'سم',
      'mm': 'مم',
      'pt': 'نقطة',
      'cu': 'مكعب',
      'sq': 'قدم مربع',
      'General': 'جنرال لواء',
      'Appearance': 'مظهر خارجي',
      'Options': 'والخيارات',
      'Textbox Properties': 'خصائص مربع النص',
      'Name': 'اسم',
      'Tooltip': 'تلميح',
      'Value': 'القيمة',
      'Form Field Visibility': 'رؤية حقل النموذج',
      'Read Only': 'يقرأ فقط',
      'Required': 'مطلوب',
      'Checked': 'التحقق',
      'Show Printing': 'عرض الطباعة',
      'Formatting': 'صيغة',
      'Fill': 'يملأ',
      'Border': 'الحدود',
      'Border Color': 'لون الحدود',
      'Thickness': 'السماكة',
      'Max Length': 'الحد الاقصى للطول',
      'List Item': 'اسم العنصر',
      'Export Value': 'قيمة البند',
      'Dropdown Item List': 'قائمة العناصر المنسدلة',
      'List Box Item List': 'قائمة عناصر مربع القائمة',
      'Delete Item': 'حذف',
      'Up': 'فوق',
      'Down': 'تحت',
      'Multiline': 'متعدد الأسطر',
      'Initial': 'أولي',
      'Export XFDF': 'تصدير التعليق التوضيحي إلى ملف XFDF',
      'Import XFDF': 'استيراد التعليقات التوضيحية من ملف XFDF',
      'Organize Pages': 'تنظيم الصفحات',
      'Insert Right': 'أدخل الحق',
      'Insert Left': 'أدخل اليسار',
      'Total': 'المجموع',
      'Pages': 'الصفحات',
      'Rotate Right': 'تدوير لليمين',
      'Rotate Left': 'استدر يسارا',
      'Delete Page': 'حذف الصفحة',
      'Delete Pages': 'حذف الصفحات',
      'Copy Page': 'انسخ الصفحة',
      'Copy Pages': 'نسخ الصفحات',
      'Save': 'يحفظ',
      'Save As': 'حفظ باسم',
      'Select All': 'اختر الكل',
      'Import Document': 'استيراد المستند',
      'Match any word': 'تطابق أي كلمة'
    }
  }
});
</script>
<template>
  <div id="app">
    <ejs-pdfviewer id="pdfViewer" :documentPath="documentPath" :resourceUrl="resourceUrl" locale='ar-AE'>
    </ejs-pdfviewer>
  </div>
</template>

<script>

import {
  PdfViewerComponent, Toolbar, Magnification, Navigation,
  Annotation, LinkAnnotation, BookmarkView, ThumbnailView,
  Print, TextSelection, TextSearch, FormFields, FormDesigner
} from '@syncfusion/ej2-vue-pdfviewer';
import { L10n } from '@syncfusion/ej2-base';

export default {
  components: {
    'ejs-pdfviewer': PdfViewerComponent
  },
  data: function () {
    return {
      documentPath: "https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf",
      resourceUrl: "https://cdn.syncfusion.com/ej2/24.1.41/dist/ej2-pdfviewer-lib"
    }
  },
  provide: {
    PdfViewer: [Toolbar, Magnification, Navigation, LinkAnnotation, Annotation, BookmarkView,
      ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner]
  }

};
//PDF Viewer Arabic Sample Locale
L10n.load({
  'ar-AE': {
    'PdfViewer': {
      'PdfViewer': 'قوات الدفاع الشعبي المشاهد',
      'Cancel': 'إلغاء',
      'Download file': 'تحميل الملف',
      'Download': 'تحميل',
      'Enter Password': 'هذا المستند محمي بكلمة مرور. يرجى إدخال كلمة مرور.',
      'File Corrupted': 'ملف تالف',
      'File Corrupted Content': 'الملف تالف ولا يمكن فتحه.',
      'Fit Page': 'لائق بدنيا الصفحة',
      'Fit Width': 'لائق بدنيا عرض',
      'Automatic': 'تلقائي',
      'Go To First Page': 'عرض الصفحة الأولى',
      'Invalid Password': 'كلمة سر خاطئة. حاول مرة اخرى.',
      'Next Page': 'عرض الصفحة التالية',
      'OK': 'حسنا',
      'Open': 'فتح الملف',
      'Page Number': 'رقم الصفحة الحالية',
      'Previous Page': 'عرض الصفحة السابقة',
      'Go To Last Page': 'عرض الصفحة الأخيرة',
      'Zoom': 'تكبير',
      'Zoom In': 'تكبير في',
      'Zoom Out': 'تكبير خارج',
      'Page Thumbnails': 'مصغرات الصفحة',
      'Bookmarks': 'المرجعية',
      'Print': 'اطبع الملف',
      'Password Protected': 'كلمة المرور مطلوبة',
      'Copy': 'نسخ',
      'Text Selection': 'أداة اختيار النص',
      'Panning': 'وضع عموم',
      'Text Search': 'بحث عن نص',
      'Find in document': 'ابحث في المستند',
      'Match case': 'حالة مباراة',
      'Apply': 'تطبيق',
      'GoToPage': 'انتقل إلى صفحة',
      'No matches': 'انتهى العارض من البحث في المستند. لم يتم العثور على مزيد من التطابقات',
      'No Text Found': 'لم يتم العثور على نص',
      'Undo': 'فك',
      'Redo': 'فعل ثانية',
      'Annotation': 'إضافة أو تعديل التعليقات التوضيحية',
      'Highlight': 'تسليط الضوء على النص',
      'Underline': 'تسطير النص',
      'Strikethrough': 'نص يتوسطه خط',
      'Delete': 'حذف التعليق التوضيحي',
      'Opacity': 'غموض',
      'Color edit': 'غير اللون',
      'Opacity edit': 'تغيير التعتيم',
      'highlight': 'تسليط الضوء',
      'underline': 'أكد',
      'strikethrough': 'يتوسطه',
      // tslint:disable-next-line:max-line-length
      'Server error': 'خدمة الانترنت لا يستمع. يعتمد قوات الدفاع الشعبي المشاهد على خدمة الويب لجميع ميزاته. يرجى بدء خدمة الويب للمتابعة.',
      'Open text': 'افتح',
      'First text': 'الصفحة الأولى',
      'Previous text': 'الصفحة السابقة',
      'Next text': 'الصفحة التالية',
      'Last text': 'آخر صفحة',
      'Zoom in text': 'تكبير',
      'Zoom out text': 'تصغير',
      'Selection text': 'اختيار',
      'Pan text': 'مقلاة',
      'Print text': 'طباعة',
      'Seach text': 'بحث',
      'Annotation Edit text': 'تحرير التعليق التوضيحي',
      'Line Thickness': 'سمك الخط',
      'Line Properties': 'خط الخصائص',
      'Start Arrow': 'ابدأ السهم',
      'End Arrow': 'نهاية السهم',
      'Line Style': 'أسلوب الخط',
      'Fill Color': 'ملء اللون',
      'Line Color': ' الخط اللون',
      'None': 'لا شيء',
      'Open Arrow': 'افتح',
      'Closed Arrow': 'مغلق',
      'Round Arrow': 'مستدير',
      'Square Arrow': 'مربع',
      'Diamond Arrow': 'الماس',
      'Cut': 'يقطع',
      'Paste': 'معجون',
      'Delete Context': 'حذف',
      'Properties': 'الخصائص',
      'Add Stamp': 'إضافة الطوابع',
      'Add Shapes': 'أضف الأشكال',
      'Stroke edit': 'تغيير لون السكتة الدماغية',
      'Change thickness': 'تغيير سمك الحدود',
      'Add line': 'إضافة خط',
      'Add arrow': 'سهم إضافة',
      'Add rectangle': 'أضف مستطيل',
      'Add circle': 'إضافة دائرة',
      'Add polygon': 'أضف مضلع',
      'Add Comments': 'أضف تعليقات',
      'Comments': 'تعليقات',
      'No Comments Yet': 'لا توجد تعليقات حتى الآن',
      'Accepted': 'وافقت',
      'Completed': 'منجز',
      'Cancelled': 'ألغيت',
      'Rejected': 'مرفوض',
      'Leader Length': 'زعيم الطول',
      'Scale Ratio': 'نسبة مقياس',
      'Calibrate': 'عاير',
      'Calibrate Distance': 'معايرة المسافة',
      'Calibrate Perimeter': 'معايرة محيط',
      'Calibrate Area': 'عاير منطقة',
      'Calibrate Radius': 'معايرة نصف القطر',
      'Calibrate Volume': 'معايرة الحجم',
      'Depth': 'عمق',
      'Closed': 'مغلق',
      'Round': 'مستدير',
      'Square': 'ميدان',
      'Diamond': 'الماس',
      'Edit': 'تصحيح',
      'Comment': 'تعليقات',
      'Comment Panel': 'لوحة التعليقات',
      'Set Status': 'تعيين الحالة',
      'Post': 'بريد',
      'Page': 'صفحة',
      'Add a comment': 'أضف تعليق',
      'Add a reply': 'أضف رد',
      'Import Annotations': 'استيراد التعليقات التوضيحية',
      'Export Annotations': 'شروح التصدير',
      'Add': 'أضف',
      'Clear': 'واضح',
      'Bold': 'بالخط العريض',
      'Italic': 'مائل',
      'Strikethroughs': 'يتوسطه',
      'Underlines': 'تحت الخط',
      'Superscript': 'حرف فوقي',
      'Subscript': 'الفرعية النصي',
      'Align left': 'محاذاة اليسار',
      'Align right': 'محاذاة اليمين',
      'Center': 'مركز',
      'Justify': 'برر',
      'Font color': 'لون الخط',
      'Text Align': 'محاذاة النص',
      'Text Properties': 'نوع الخط',
      'Draw Signature': 'ارسم التوقيع',
      'Create': 'خلق',
      'Font family': 'خط العائلة',
      'Font size': 'حجم الخط',
      'Free Text': 'نص حر',
      'Import Failed': 'نوع ملف سلمان أو اسم الملف غير صالح ؛ يرجى تحديد ملف سلمانصالح',
      'File not found': 'لم يتم العثور على ملف سلمان المستورد في الموقع المطلوب',
      'Export Failed': 'شل إجراء تصدير التعليقات التوضيحية ؛ يرجى التأكد من إضافة التعليقات التوضيحية بشكل صحيح',
      'Dynamic': 'متحرك',
      'Standard Business': 'الأعمال القياسية',
      'Sign Here': 'وقع هنا',
      'Custom Stamp': 'ختم مخصص',
      'InitialFieldDialogHeaderText': 'إضافة الأولية',
      'HandwrittenInitialDialogHeaderText': 'إضافة الأولية',
      'SignatureFieldDialogHeaderText': 'أضف التوقيع',
      'HandwrittenSignatureDialogHeaderText': 'أضف التوقيع',
      'Draw-hand Signature': 'يرسم',
      'Type Signature': 'نوع',
      'Upload Signature': 'تحميل',
      'Browse Signature Image': 'تصفح',
      'Save Signature': 'احفظ التوقيع',
      'Save Initial': 'حفظ الأولي',
      'Highlight context': 'تسليط الضوء',
      'Underline context': 'تسطير',
      'Strikethrough context': 'يتوسطه خط',
      'FormDesigner': 'إضافة وتحرير حقل النموذج',
      'SubmitForm': 'تقديم النموذج',
      'Search text': 'بحث',
      'Draw Ink': 'ارسم الحبر',
      'Revised': 'مراجعة',
      'Reviewed': 'تمت المراجعة',
      'Received': 'تم الاستلام',
      'Confidential': 'مؤتمن',
      'Approved': 'وافق',
      'Not Approved': 'غير مقبول',
      'Witness': 'الشاهد',
      'Initial Here': 'المبدئي هنا',
      'Draft': 'مشروع',
      'Final': 'أخير',
      'For Public Release': 'للنشر العام',
      'Not For Public Release': 'ليس للنشر العام',
      'For Comment': 'للتعليق',
      'Void': 'فارغ',
      'Preliminary Results': 'نتائج اولية',
      'Information Only': 'المعلومات فقط',
      'Enter Signature as Name': 'أدخل أسمك',
      'Textbox': 'مربع الكتابة',
      'Password': 'كلمه السر',
      'Check Box': 'خانة اختيار',
      'Radio Button': 'زر الراديو',
      'Dropdown': 'اسقاط',
      'List Box': 'مربع القائمة',
      'Signature': 'إمضاء',
      'Delete FormField': 'حذف حقل النموذج',
      'FormDesigner Edit text': 'إضافة وتحرير حقل النموذج',
      'in': 'في',
      'm': 'م',
      'ft_in': 'قدم',
      'ft': 'قدم',
      'p': 'ص',
      'cm': 'سم',
      'mm': 'مم',
      'pt': 'نقطة',
      'cu': 'مكعب',
      'sq': 'قدم مربع',
      'General': 'جنرال لواء',
      'Appearance': 'مظهر خارجي',
      'Options': 'والخيارات',
      'Textbox Properties': 'خصائص مربع النص',
      'Name': 'اسم',
      'Tooltip': 'تلميح',
      'Value': 'القيمة',
      'Form Field Visibility': 'رؤية حقل النموذج',
      'Read Only': 'يقرأ فقط',
      'Required': 'مطلوب',
      'Checked': 'التحقق',
      'Show Printing': 'عرض الطباعة',
      'Formatting': 'صيغة',
      'Fill': 'يملأ',
      'Border': 'الحدود',
      'Border Color': 'لون الحدود',
      'Thickness': 'السماكة',
      'Max Length': 'الحد الاقصى للطول',
      'List Item': 'اسم العنصر',
      'Export Value': 'قيمة البند',
      'Dropdown Item List': 'قائمة العناصر المنسدلة',
      'List Box Item List': 'قائمة عناصر مربع القائمة',
      'Delete Item': 'حذف',
      'Up': 'فوق',
      'Down': 'تحت',
      'Multiline': 'متعدد الأسطر',
      'Initial': 'أولي',
      'Export XFDF': 'تصدير التعليق التوضيحي إلى ملف XFDF',
      'Import XFDF': 'استيراد التعليقات التوضيحية من ملف XFDF',
      'Organize Pages': 'تنظيم الصفحات',
      'Insert Right': 'أدخل الحق',
      'Insert Left': 'أدخل اليسار',
      'Total': 'المجموع',
      'Pages': 'الصفحات',
      'Rotate Right': 'تدوير لليمين',
      'Rotate Left': 'استدر يسارا',
      'Delete Page': 'حذف الصفحة',
      'Delete Pages': 'حذف الصفحات',
      'Copy Page': 'انسخ الصفحة',
      'Copy Pages': 'نسخ الصفحات',
      'Save': 'يحفظ',
      'Save As': 'حفظ باسم',
      'Select All': 'اختر الكل',
      'Import Document': 'استيراد المستند',
      'Match any word': 'تطابق أي كلمة'
    }
  }
});
</script>
<template>
  <div id="app">
    <ejs-pdfviewer id="pdfViewer" :documentPath="documentPath" :serviceUrl="serviceUrl" locale='ar-AE'>
    </ejs-pdfviewer>
  </div>
</template>

<script setup>
import { provide } from 'vue';
import {
  PdfViewerComponent as EjsPdfviewer, Toolbar, Magnification, Navigation,
  Annotation, LinkAnnotation, BookmarkView, ThumbnailView,
  Print, TextSelection, TextSearch, FormFields, FormDesigner
} from '@syncfusion/ej2-vue-pdfviewer';
import { L10n } from '@syncfusion/ej2-base';


const serviceUrl = "https://services.syncfusion.com/vue/production/api/pdfviewer";
const documentPath = "https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf";

provide('PdfViewer', [Toolbar, Magnification, Navigation, LinkAnnotation, Annotation, BookmarkView,
  ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner])

//PDF Viewer Arabic Sample Locale
L10n.load({
  'ar-AE': {
    'PdfViewer': {
      'PdfViewer': 'قوات الدفاع الشعبي المشاهد',
      'Cancel': 'إلغاء',
      'Download file': 'تحميل الملف',
      'Download': 'تحميل',
      'Enter Password': 'هذا المستند محمي بكلمة مرور. يرجى إدخال كلمة مرور.',
      'File Corrupted': 'ملف تالف',
      'File Corrupted Content': 'الملف تالف ولا يمكن فتحه.',
      'Fit Page': 'لائق بدنيا الصفحة',
      'Fit Width': 'لائق بدنيا عرض',
      'Automatic': 'تلقائي',
      'Go To First Page': 'عرض الصفحة الأولى',
      'Invalid Password': 'كلمة سر خاطئة. حاول مرة اخرى.',
      'Next Page': 'عرض الصفحة التالية',
      'OK': 'حسنا',
      'Open': 'فتح الملف',
      'Page Number': 'رقم الصفحة الحالية',
      'Previous Page': 'عرض الصفحة السابقة',
      'Go To Last Page': 'عرض الصفحة الأخيرة',
      'Zoom': 'تكبير',
      'Zoom In': 'تكبير في',
      'Zoom Out': 'تكبير خارج',
      'Page Thumbnails': 'مصغرات الصفحة',
      'Bookmarks': 'المرجعية',
      'Print': 'اطبع الملف',
      'Password Protected': 'كلمة المرور مطلوبة',
      'Copy': 'نسخ',
      'Text Selection': 'أداة اختيار النص',
      'Panning': 'وضع عموم',
      'Text Search': 'بحث عن نص',
      'Find in document': 'ابحث في المستند',
      'Match case': 'حالة مباراة',
      'Apply': 'تطبيق',
      'GoToPage': 'انتقل إلى صفحة',
      'No matches': 'انتهى العارض من البحث في المستند. لم يتم العثور على مزيد من التطابقات',
      'No Text Found': 'لم يتم العثور على نص',
      'Undo': 'فك',
      'Redo': 'فعل ثانية',
      'Annotation': 'إضافة أو تعديل التعليقات التوضيحية',
      'Highlight': 'تسليط الضوء على النص',
      'Underline': 'تسطير النص',
      'Strikethrough': 'نص يتوسطه خط',
      'Delete': 'حذف التعليق التوضيحي',
      'Opacity': 'غموض',
      'Color edit': 'غير اللون',
      'Opacity edit': 'تغيير التعتيم',
      'highlight': 'تسليط الضوء',
      'underline': 'أكد',
      'strikethrough': 'يتوسطه',
      // tslint:disable-next-line:max-line-length
      'Server error': 'خدمة الانترنت لا يستمع. يعتمد قوات الدفاع الشعبي المشاهد على خدمة الويب لجميع ميزاته. يرجى بدء خدمة الويب للمتابعة.',
      'Open text': 'افتح',
      'First text': 'الصفحة الأولى',
      'Previous text': 'الصفحة السابقة',
      'Next text': 'الصفحة التالية',
      'Last text': 'آخر صفحة',
      'Zoom in text': 'تكبير',
      'Zoom out text': 'تصغير',
      'Selection text': 'اختيار',
      'Pan text': 'مقلاة',
      'Print text': 'طباعة',
      'Seach text': 'بحث',
      'Annotation Edit text': 'تحرير التعليق التوضيحي',
      'Line Thickness': 'سمك الخط',
      'Line Properties': 'خط الخصائص',
      'Start Arrow': 'ابدأ السهم',
      'End Arrow': 'نهاية السهم',
      'Line Style': 'أسلوب الخط',
      'Fill Color': 'ملء اللون',
      'Line Color': ' الخط اللون',
      'None': 'لا شيء',
      'Open Arrow': 'افتح',
      'Closed Arrow': 'مغلق',
      'Round Arrow': 'مستدير',
      'Square Arrow': 'مربع',
      'Diamond Arrow': 'الماس',
      'Cut': 'يقطع',
      'Paste': 'معجون',
      'Delete Context': 'حذف',
      'Properties': 'الخصائص',
      'Add Stamp': 'إضافة الطوابع',
      'Add Shapes': 'أضف الأشكال',
      'Stroke edit': 'تغيير لون السكتة الدماغية',
      'Change thickness': 'تغيير سمك الحدود',
      'Add line': 'إضافة خط',
      'Add arrow': 'سهم إضافة',
      'Add rectangle': 'أضف مستطيل',
      'Add circle': 'إضافة دائرة',
      'Add polygon': 'أضف مضلع',
      'Add Comments': 'أضف تعليقات',
      'Comments': 'تعليقات',
      'No Comments Yet': 'لا توجد تعليقات حتى الآن',
      'Accepted': 'وافقت',
      'Completed': 'منجز',
      'Cancelled': 'ألغيت',
      'Rejected': 'مرفوض',
      'Leader Length': 'زعيم الطول',
      'Scale Ratio': 'نسبة مقياس',
      'Calibrate': 'عاير',
      'Calibrate Distance': 'معايرة المسافة',
      'Calibrate Perimeter': 'معايرة محيط',
      'Calibrate Area': 'عاير منطقة',
      'Calibrate Radius': 'معايرة نصف القطر',
      'Calibrate Volume': 'معايرة الحجم',
      'Depth': 'عمق',
      'Closed': 'مغلق',
      'Round': 'مستدير',
      'Square': 'ميدان',
      'Diamond': 'الماس',
      'Edit': 'تصحيح',
      'Comment': 'تعليقات',
      'Comment Panel': 'لوحة التعليقات',
      'Set Status': 'تعيين الحالة',
      'Post': 'بريد',
      'Page': 'صفحة',
      'Add a comment': 'أضف تعليق',
      'Add a reply': 'أضف رد',
      'Import Annotations': 'استيراد التعليقات التوضيحية',
      'Export Annotations': 'شروح التصدير',
      'Add': 'أضف',
      'Clear': 'واضح',
      'Bold': 'بالخط العريض',
      'Italic': 'مائل',
      'Strikethroughs': 'يتوسطه',
      'Underlines': 'تحت الخط',
      'Superscript': 'حرف فوقي',
      'Subscript': 'الفرعية النصي',
      'Align left': 'محاذاة اليسار',
      'Align right': 'محاذاة اليمين',
      'Center': 'مركز',
      'Justify': 'برر',
      'Font color': 'لون الخط',
      'Text Align': 'محاذاة النص',
      'Text Properties': 'نوع الخط',
      'Draw Signature': 'ارسم التوقيع',
      'Create': 'خلق',
      'Font family': 'خط العائلة',
      'Font size': 'حجم الخط',
      'Free Text': 'نص حر',
      'Import Failed': 'نوع ملف سلمان أو اسم الملف غير صالح ؛ يرجى تحديد ملف سلمانصالح',
      'File not found': 'لم يتم العثور على ملف سلمان المستورد في الموقع المطلوب',
      'Export Failed': 'شل إجراء تصدير التعليقات التوضيحية ؛ يرجى التأكد من إضافة التعليقات التوضيحية بشكل صحيح',
      'Dynamic': 'متحرك',
      'Standard Business': 'الأعمال القياسية',
      'Sign Here': 'وقع هنا',
      'Custom Stamp': 'ختم مخصص',
      'InitialFieldDialogHeaderText': 'إضافة الأولية',
      'HandwrittenInitialDialogHeaderText': 'إضافة الأولية',
      'SignatureFieldDialogHeaderText': 'أضف التوقيع',
      'HandwrittenSignatureDialogHeaderText': 'أضف التوقيع',
      'Draw-hand Signature': 'يرسم',
      'Type Signature': 'نوع',
      'Upload Signature': 'تحميل',
      'Browse Signature Image': 'تصفح',
      'Save Signature': 'احفظ التوقيع',
      'Save Initial': 'حفظ الأولي',
      'Highlight context': 'تسليط الضوء',
      'Underline context': 'تسطير',
      'Strikethrough context': 'يتوسطه خط',
      'FormDesigner': 'إضافة وتحرير حقل النموذج',
      'SubmitForm': 'تقديم النموذج',
      'Search text': 'بحث',
      'Draw Ink': 'ارسم الحبر',
      'Revised': 'مراجعة',
      'Reviewed': 'تمت المراجعة',
      'Received': 'تم الاستلام',
      'Confidential': 'مؤتمن',
      'Approved': 'وافق',
      'Not Approved': 'غير مقبول',
      'Witness': 'الشاهد',
      'Initial Here': 'المبدئي هنا',
      'Draft': 'مشروع',
      'Final': 'أخير',
      'For Public Release': 'للنشر العام',
      'Not For Public Release': 'ليس للنشر العام',
      'For Comment': 'للتعليق',
      'Void': 'فارغ',
      'Preliminary Results': 'نتائج اولية',
      'Information Only': 'المعلومات فقط',
      'Enter Signature as Name': 'أدخل أسمك',
      'Textbox': 'مربع الكتابة',
      'Password': 'كلمه السر',
      'Check Box': 'خانة اختيار',
      'Radio Button': 'زر الراديو',
      'Dropdown': 'اسقاط',
      'List Box': 'مربع القائمة',
      'Signature': 'إمضاء',
      'Delete FormField': 'حذف حقل النموذج',
      'FormDesigner Edit text': 'إضافة وتحرير حقل النموذج',
      'in': 'في',
      'm': 'م',
      'ft_in': 'قدم',
      'ft': 'قدم',
      'p': 'ص',
      'cm': 'سم',
      'mm': 'مم',
      'pt': 'نقطة',
      'cu': 'مكعب',
      'sq': 'قدم مربع',
      'General': 'جنرال لواء',
      'Appearance': 'مظهر خارجي',
      'Options': 'والخيارات',
      'Textbox Properties': 'خصائص مربع النص',
      'Name': 'اسم',
      'Tooltip': 'تلميح',
      'Value': 'القيمة',
      'Form Field Visibility': 'رؤية حقل النموذج',
      'Read Only': 'يقرأ فقط',
      'Required': 'مطلوب',
      'Checked': 'التحقق',
      'Show Printing': 'عرض الطباعة',
      'Formatting': 'صيغة',
      'Fill': 'يملأ',
      'Border': 'الحدود',
      'Border Color': 'لون الحدود',
      'Thickness': 'السماكة',
      'Max Length': 'الحد الاقصى للطول',
      'List Item': 'اسم العنصر',
      'Export Value': 'قيمة البند',
      'Dropdown Item List': 'قائمة العناصر المنسدلة',
      'List Box Item List': 'قائمة عناصر مربع القائمة',
      'Delete Item': 'حذف',
      'Up': 'فوق',
      'Down': 'تحت',
      'Multiline': 'متعدد الأسطر',
      'Initial': 'أولي',
      'Export XFDF': 'تصدير التعليق التوضيحي إلى ملف XFDF',
      'Import XFDF': 'استيراد التعليقات التوضيحية من ملف XFDF',
      'Organize Pages': 'تنظيم الصفحات',
      'Insert Right': 'أدخل الحق',
      'Insert Left': 'أدخل اليسار',
      'Total': 'المجموع',
      'Pages': 'الصفحات',
      'Rotate Right': 'تدوير لليمين',
      'Rotate Left': 'استدر يسارا',
      'Delete Page': 'حذف الصفحة',
      'Delete Pages': 'حذف الصفحات',
      'Copy Page': 'انسخ الصفحة',
      'Copy Pages': 'نسخ الصفحات',
      'Save': 'يحفظ',
      'Save As': 'حفظ باسم',
      'Select All': 'اختر الكل',
      'Import Document': 'استيراد المستند',
      'Match any word': 'تطابق أي كلمة'
    }
  }
});
</script>
<template>
  <div id="app">
    <ejs-pdfviewer id="pdfViewer" :documentPath="documentPath" :serviceUrl="serviceUrl" locale='ar-AE'>
    </ejs-pdfviewer>
  </div>
</template>

<script>

import {
  PdfViewerComponent, Toolbar, Magnification, Navigation,
  Annotation, LinkAnnotation, BookmarkView, ThumbnailView,
  Print, TextSelection, TextSearch, FormFields, FormDesigner
} from '@syncfusion/ej2-vue-pdfviewer';
import { L10n } from '@syncfusion/ej2-base';

export default {
  components: {
    'ejs-pdfviewer': PdfViewerComponent
  },
  data: function () {
    return {
      serviceUrl: "https://services.syncfusion.com/vue/production/api/pdfviewer",
      documentPath: "https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf"
    }
  },
  provide: {
    PdfViewer: [Toolbar, Magnification, Navigation, LinkAnnotation, Annotation, BookmarkView,
      ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner]
  }
};

//PDF Viewer Arabic Sample Locale
L10n.load({
  'ar-AE': {
    'PdfViewer': {
      'PdfViewer': 'قوات الدفاع الشعبي المشاهد',
      'Cancel': 'إلغاء',
      'Download file': 'تحميل الملف',
      'Download': 'تحميل',
      'Enter Password': 'هذا المستند محمي بكلمة مرور. يرجى إدخال كلمة مرور.',
      'File Corrupted': 'ملف تالف',
      'File Corrupted Content': 'الملف تالف ولا يمكن فتحه.',
      'Fit Page': 'لائق بدنيا الصفحة',
      'Fit Width': 'لائق بدنيا عرض',
      'Automatic': 'تلقائي',
      'Go To First Page': 'عرض الصفحة الأولى',
      'Invalid Password': 'كلمة سر خاطئة. حاول مرة اخرى.',
      'Next Page': 'عرض الصفحة التالية',
      'OK': 'حسنا',
      'Open': 'فتح الملف',
      'Page Number': 'رقم الصفحة الحالية',
      'Previous Page': 'عرض الصفحة السابقة',
      'Go To Last Page': 'عرض الصفحة الأخيرة',
      'Zoom': 'تكبير',
      'Zoom In': 'تكبير في',
      'Zoom Out': 'تكبير خارج',
      'Page Thumbnails': 'مصغرات الصفحة',
      'Bookmarks': 'المرجعية',
      'Print': 'اطبع الملف',
      'Password Protected': 'كلمة المرور مطلوبة',
      'Copy': 'نسخ',
      'Text Selection': 'أداة اختيار النص',
      'Panning': 'وضع عموم',
      'Text Search': 'بحث عن نص',
      'Find in document': 'ابحث في المستند',
      'Match case': 'حالة مباراة',
      'Apply': 'تطبيق',
      'GoToPage': 'انتقل إلى صفحة',
      'No matches': 'انتهى العارض من البحث في المستند. لم يتم العثور على مزيد من التطابقات',
      'No Text Found': 'لم يتم العثور على نص',
      'Undo': 'فك',
      'Redo': 'فعل ثانية',
      'Annotation': 'إضافة أو تعديل التعليقات التوضيحية',
      'Highlight': 'تسليط الضوء على النص',
      'Underline': 'تسطير النص',
      'Strikethrough': 'نص يتوسطه خط',
      'Delete': 'حذف التعليق التوضيحي',
      'Opacity': 'غموض',
      'Color edit': 'غير اللون',
      'Opacity edit': 'تغيير التعتيم',
      'highlight': 'تسليط الضوء',
      'underline': 'أكد',
      'strikethrough': 'يتوسطه',
      // tslint:disable-next-line:max-line-length
      'Server error': 'خدمة الانترنت لا يستمع. يعتمد قوات الدفاع الشعبي المشاهد على خدمة الويب لجميع ميزاته. يرجى بدء خدمة الويب للمتابعة.',
      'Open text': 'افتح',
      'First text': 'الصفحة الأولى',
      'Previous text': 'الصفحة السابقة',
      'Next text': 'الصفحة التالية',
      'Last text': 'آخر صفحة',
      'Zoom in text': 'تكبير',
      'Zoom out text': 'تصغير',
      'Selection text': 'اختيار',
      'Pan text': 'مقلاة',
      'Print text': 'طباعة',
      'Seach text': 'بحث',
      'Annotation Edit text': 'تحرير التعليق التوضيحي',
      'Line Thickness': 'سمك الخط',
      'Line Properties': 'خط الخصائص',
      'Start Arrow': 'ابدأ السهم',
      'End Arrow': 'نهاية السهم',
      'Line Style': 'أسلوب الخط',
      'Fill Color': 'ملء اللون',
      'Line Color': ' الخط اللون',
      'None': 'لا شيء',
      'Open Arrow': 'افتح',
      'Closed Arrow': 'مغلق',
      'Round Arrow': 'مستدير',
      'Square Arrow': 'مربع',
      'Diamond Arrow': 'الماس',
      'Cut': 'يقطع',
      'Paste': 'معجون',
      'Delete Context': 'حذف',
      'Properties': 'الخصائص',
      'Add Stamp': 'إضافة الطوابع',
      'Add Shapes': 'أضف الأشكال',
      'Stroke edit': 'تغيير لون السكتة الدماغية',
      'Change thickness': 'تغيير سمك الحدود',
      'Add line': 'إضافة خط',
      'Add arrow': 'سهم إضافة',
      'Add rectangle': 'أضف مستطيل',
      'Add circle': 'إضافة دائرة',
      'Add polygon': 'أضف مضلع',
      'Add Comments': 'أضف تعليقات',
      'Comments': 'تعليقات',
      'No Comments Yet': 'لا توجد تعليقات حتى الآن',
      'Accepted': 'وافقت',
      'Completed': 'منجز',
      'Cancelled': 'ألغيت',
      'Rejected': 'مرفوض',
      'Leader Length': 'زعيم الطول',
      'Scale Ratio': 'نسبة مقياس',
      'Calibrate': 'عاير',
      'Calibrate Distance': 'معايرة المسافة',
      'Calibrate Perimeter': 'معايرة محيط',
      'Calibrate Area': 'عاير منطقة',
      'Calibrate Radius': 'معايرة نصف القطر',
      'Calibrate Volume': 'معايرة الحجم',
      'Depth': 'عمق',
      'Closed': 'مغلق',
      'Round': 'مستدير',
      'Square': 'ميدان',
      'Diamond': 'الماس',
      'Edit': 'تصحيح',
      'Comment': 'تعليقات',
      'Comment Panel': 'لوحة التعليقات',
      'Set Status': 'تعيين الحالة',
      'Post': 'بريد',
      'Page': 'صفحة',
      'Add a comment': 'أضف تعليق',
      'Add a reply': 'أضف رد',
      'Import Annotations': 'استيراد التعليقات التوضيحية',
      'Export Annotations': 'شروح التصدير',
      'Add': 'أضف',
      'Clear': 'واضح',
      'Bold': 'بالخط العريض',
      'Italic': 'مائل',
      'Strikethroughs': 'يتوسطه',
      'Underlines': 'تحت الخط',
      'Superscript': 'حرف فوقي',
      'Subscript': 'الفرعية النصي',
      'Align left': 'محاذاة اليسار',
      'Align right': 'محاذاة اليمين',
      'Center': 'مركز',
      'Justify': 'برر',
      'Font color': 'لون الخط',
      'Text Align': 'محاذاة النص',
      'Text Properties': 'نوع الخط',
      'Draw Signature': 'ارسم التوقيع',
      'Create': 'خلق',
      'Font family': 'خط العائلة',
      'Font size': 'حجم الخط',
      'Free Text': 'نص حر',
      'Import Failed': 'نوع ملف سلمان أو اسم الملف غير صالح ؛ يرجى تحديد ملف سلمانصالح',
      'File not found': 'لم يتم العثور على ملف سلمان المستورد في الموقع المطلوب',
      'Export Failed': 'شل إجراء تصدير التعليقات التوضيحية ؛ يرجى التأكد من إضافة التعليقات التوضيحية بشكل صحيح',
      'Dynamic': 'متحرك',
      'Standard Business': 'الأعمال القياسية',
      'Sign Here': 'وقع هنا',
      'Custom Stamp': 'ختم مخصص',
      'InitialFieldDialogHeaderText': 'إضافة الأولية',
      'HandwrittenInitialDialogHeaderText': 'إضافة الأولية',
      'SignatureFieldDialogHeaderText': 'أضف التوقيع',
      'HandwrittenSignatureDialogHeaderText': 'أضف التوقيع',
      'Draw-hand Signature': 'يرسم',
      'Type Signature': 'نوع',
      'Upload Signature': 'تحميل',
      'Browse Signature Image': 'تصفح',
      'Save Signature': 'احفظ التوقيع',
      'Save Initial': 'حفظ الأولي',
      'Highlight context': 'تسليط الضوء',
      'Underline context': 'تسطير',
      'Strikethrough context': 'يتوسطه خط',
      'FormDesigner': 'إضافة وتحرير حقل النموذج',
      'SubmitForm': 'تقديم النموذج',
      'Search text': 'بحث',
      'Draw Ink': 'ارسم الحبر',
      'Revised': 'مراجعة',
      'Reviewed': 'تمت المراجعة',
      'Received': 'تم الاستلام',
      'Confidential': 'مؤتمن',
      'Approved': 'وافق',
      'Not Approved': 'غير مقبول',
      'Witness': 'الشاهد',
      'Initial Here': 'المبدئي هنا',
      'Draft': 'مشروع',
      'Final': 'أخير',
      'For Public Release': 'للنشر العام',
      'Not For Public Release': 'ليس للنشر العام',
      'For Comment': 'للتعليق',
      'Void': 'فارغ',
      'Preliminary Results': 'نتائج اولية',
      'Information Only': 'المعلومات فقط',
      'Enter Signature as Name': 'أدخل أسمك',
      'Textbox': 'مربع الكتابة',
      'Password': 'كلمه السر',
      'Check Box': 'خانة اختيار',
      'Radio Button': 'زر الراديو',
      'Dropdown': 'اسقاط',
      'List Box': 'مربع القائمة',
      'Signature': 'إمضاء',
      'Delete FormField': 'حذف حقل النموذج',
      'FormDesigner Edit text': 'إضافة وتحرير حقل النموذج',
      'in': 'في',
      'm': 'م',
      'ft_in': 'قدم',
      'ft': 'قدم',
      'p': 'ص',
      'cm': 'سم',
      'mm': 'مم',
      'pt': 'نقطة',
      'cu': 'مكعب',
      'sq': 'قدم مربع',
      'General': 'جنرال لواء',
      'Appearance': 'مظهر خارجي',
      'Options': 'والخيارات',
      'Textbox Properties': 'خصائص مربع النص',
      'Name': 'اسم',
      'Tooltip': 'تلميح',
      'Value': 'القيمة',
      'Form Field Visibility': 'رؤية حقل النموذج',
      'Read Only': 'يقرأ فقط',
      'Required': 'مطلوب',
      'Checked': 'التحقق',
      'Show Printing': 'عرض الطباعة',
      'Formatting': 'صيغة',
      'Fill': 'يملأ',
      'Border': 'الحدود',
      'Border Color': 'لون الحدود',
      'Thickness': 'السماكة',
      'Max Length': 'الحد الاقصى للطول',
      'List Item': 'اسم العنصر',
      'Export Value': 'قيمة البند',
      'Dropdown Item List': 'قائمة العناصر المنسدلة',
      'List Box Item List': 'قائمة عناصر مربع القائمة',
      'Delete Item': 'حذف',
      'Up': 'فوق',
      'Down': 'تحت',
      'Multiline': 'متعدد الأسطر',
      'Initial': 'أولي',
      'Export XFDF': 'تصدير التعليق التوضيحي إلى ملف XFDF',
      'Import XFDF': 'استيراد التعليقات التوضيحية من ملف XFDF',
      'Organize Pages': 'تنظيم الصفحات',
      'Insert Right': 'أدخل الحق',
      'Insert Left': 'أدخل اليسار',
      'Total': 'المجموع',
      'Pages': 'الصفحات',
      'Rotate Right': 'تدوير لليمين',
      'Rotate Left': 'استدر يسارا',
      'Delete Page': 'حذف الصفحة',
      'Delete Pages': 'حذف الصفحات',
      'Copy Page': 'انسخ الصفحة',
      'Copy Pages': 'نسخ الصفحات',
      'Save': 'يحفظ',
      'Save As': 'حفظ باسم',
      'Select All': 'اختر الكل',
      'Import Document': 'استيراد المستند',
      'Match any word': 'تطابق أي كلمة'
    }
  }
});
</script>

Globalization in React Pdfviewer component

5 Jan 202424 minutes to read

The text contents provided in the PDF Viewer can be localized using the collection of localized strings for different cultures. By default, the PDF Viewer is localized in “en-US”.

The following table shows the default text values used in PDF Viewer in ‘en-US’ culture:

Keywords Values  
PdfViewer PDF Viewer  
Cancel Cancel  
Download file Download file  
Download Download  
Enter Password This document is password protected. Please enter a password.  
File Corrupted File corrupted  
File Corrupted Content The file is corrupted and cannot be opened.  
Fit Page Fit page  
Fit Width Fit width  
Automatic Automatic  
Go To First Page Show first page  
Invalid Password Incorrect password. Please try again.  
Next Page Show next page  
OK OK  
Open Open file  
Page Number Current page number  
Previous Page Show previous page  
Go To Last Page Show last page  
Zoom Zoom  
Zoom In Zoom in  
Zoom Out Zoom out  
Page Thumbnails Page thumbnails  
Bookmarks Bookmarks  
Print Print file  
Password Protected Password required  
Copy Copy  
Text Selection Text selection tool  
Panning Pan mode  
Text Search Find text  
Find in document Find in document  
Match case Match case  
Apply Apply  
GoToPage Go to page  
No matches Viewer has finished searching the document. No more matches were found  
No Text Found No Text Found  
Undo Undo  
Redo Redo  
Annotation Add or Edit annotations  
FormDesigner Add and Edit Form Fields  
Highlight Highlight Text  
Underline Underline Text  
Strikethrough Strikethrough Text  
Delete Delete annotation  
Opacity Opacity  
Color edit Change Color  
Opacity edit Change Opacity  
Highlight context Highlight  
Underline context Underline  
Strikethrough context Strike through  
Server error Web-service is not listening. PDF Viewer depends on web-service for all it s features. Please start the web service to continue.
Client error Client-side error is found. Please check the custom headers provided in the AjaxRequestSettings property and web action methods in the ServerActionSettings property.  
Open text Open  
First text First Page  
Previous text Previous Page  
Next text Next Page  
Last text Last Page  
Zoom in text Zoom In  
Zoom out text Zoom Out  
Selection text Selection  
Pan text Pan  
Print text Print  
Search text Search  
Annotation Edit text Edit Annotation Please start the web service to continue.
FormDesigner Edit text Add and Edit Form Fields  
Line Thickness Line Thickness  
Line Properties Line Properties  
Start Arrow Start Arrow  
End Arrow End Arrow  
Line Style Line Style  
Fill Color Fill Color  
Line Color Line Color  
None None  
Open Arrow Open  
Closed Arrow Closed  
Round Arrow Round  
Square Arrow Square  
Diamond Arrow Diamond  
Butt Butt  
Cut Cut  
Paste Paste  
Delete Context Delete  
Properties Properties  
Add Stamp Add Stamp  
Add Shapes Add Shapes  
Stroke edit Change Stroke Color  
Change thickness Change Border Thickness  
Add line Add Line  
Add arrow Add Arrow  
Add rectangle Add Rectangle  
Add circle Add Circle  
Add polygon Add Polygon  
Add Comments Add Comments  
Comments Comments  
SubmitForm Submit Form  
No Comments Yet No Comments Yet  
Accepted Accepted  
Completed Completed  
Cancelled Cancelled  
Rejected Rejected  
Leader Length Leader Length  
Scale Ratio Scale Ratio  
Calibrate Calibrate  
Calibrate Distance Calibrate Distance  
Calibrate Perimeter Calibrate Perimeter  
Calibrate Area Calibrate Area  
Calibrate Radius Calibrate Radius  
Calibrate Volume Calibrate Volume  
Depth Depth  
Closed Closed  
Round Round  
Square Square  
Diamond Diamond  
Edit Edit  
Comment Comment  
Comment Panel Comment Panel  
Set Status Set Status  
Post Post  
Page Page  
Add a comment Add a comment  
Add a reply Add a reply  
Import Annotations Import annotations from JSON file  
Export Annotations Export annotation to JSON file  
Export XFDF Export annotation to XFDF file  
Import XFDF Import annotations from XFDF file  
Add Add  
Clear Clear  
Bold Bold  
Italic Italic  
Strikethroughs Strikethrough  
Underlines Underline  
Superscript Superscript  
Subscript Subscript  
Align left Align Left  
Align right Align Right  
Center Center  
Justify Justify  
Font color Font Color  
Text Align Text Align  
Text Properties Font Style  
SignatureFieldDialogHeaderText Add Signature  
HandwrittenSignatureDialogHeaderText Add Signature  
InitialFieldDialogHeaderText Add Initial  
HandwrittenInitialDialogHeaderText Add Initial  
Draw Ink Draw Ink  
Create Create  
Font family Font Family  
Font size Font Size  
Free Text Free Text  
Import Failed Invalid JSON file type or file name; please select a valid JSON file  
File not found Imported JSON file is not found in the desired location  
Export Failed Export annotations action has failed; please ensure annotations are added properly  
of of  
Dynamic Dynamic  
Standard Business Standard Business  
Sign Here Sign Here  
Custom Stamp Custom Stamp  
Enter Signature as Name Enter your name  
Draw-hand Signature DRAW  
Type Signature TYPE  
Upload Signature UPLOAD  
Browse Signature Image BROWSE  
Save Signature Save Signature  
Save Initial Save Initial  
Textbox Textbox  
Password Password  
Check Box Checkbox  
Radio Button Radio Button  
Dropdown Drop Down  
List Box List Box  
Signature Signature  
Delete FormField Delete Form Field  
Textbox Properties Textbox Properties  
Name Name  
Tooltip Tooltip  
Value Value  
Form Field Visibility Form Field Visibility  
Read Only Read Only  
Required Required  
Checked Checked  
Show Printing Show Printing  
Formatting Format  
Fill Fill  
Border Border  
Border Color Border Color  
Thickness Thickness  
Max Length Max Length  
List Item Item Name  
Export Value Item Value  
Dropdown Item List Dropdown Item List  
List Box Item List List Box Item List  
General GENERAL  
Appearance APPEARANCE  
Options OPTIONS  
Delete Item Delete  
Up Up  
Down Down  
Multiline Multiline  
Revised Revised  
Reviewed Reviewed  
Received Received  
Confidential Confidential  
Approved Approved  
Not Approved Not Approved  
Witness Witness  
Initial Here Initial Here  
Draft Draft  
Final Final  
For Public Release For Public Release  
Not For Public Release Not For Public Release  
For Comment For Comment  
Void Void  
Preliminary Results Preliminary Results  
Information Only Information Only  
in in  
m m  
ft_in ft_in  
ft ft  
p p  
cm cm  
mm mm  
pt pt  
cu cu  
sq sq  
Initial Initial  

The different locale value for the PDF Viewer can be specified using the locale property.

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import './index.css';
import { PdfViewerComponent, Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView,
         ThumbnailView, Print, TextSelection, TextSearch, Annotation, FormDesigner, FormFields, Inject } from '@syncfusion/ej2-react-pdfviewer';
import {L10n} from '@syncfusion/ej2-base';

//PDF Viewer Arabic Sample Locale
L10n.load({
    'ar-AE': {
        'PdfViewer' : {
          'PdfViewer': 'قوات الدفاع الشعبي المشاهد',
          'Cancel': 'إلغاء',
          'Download file': 'تحميل الملف',
          'Download': 'تحميل',
          'Enter Password': 'هذا المستند محمي بكلمة مرور. يرجى إدخال كلمة مرور.',
          'File Corrupted': 'ملف تالف',
          'File Corrupted Content': 'الملف تالف ولا يمكن فتحه.',
          'Fit Page': 'لائق بدنيا الصفحة',
          'Fit Width': 'لائق بدنيا عرض',
          'Automatic': 'تلقائي',
          'Go To First Page': 'عرض الصفحة الأولى',
          'Invalid Password': 'كلمة سر خاطئة. حاول مرة اخرى.',
          'Next Page': 'عرض الصفحة التالية',
          'OK': 'حسنا',
          'Open': 'فتح الملف',
          'Page Number': 'رقم الصفحة الحالية',
          'Previous Page': 'عرض الصفحة السابقة',
          'Go To Last Page': 'عرض الصفحة الأخيرة',
          'Zoom': 'تكبير',
          'Zoom In': 'تكبير في',
          'Zoom Out': 'تكبير خارج',
          'Page Thumbnails': 'مصغرات الصفحة',
          'Bookmarks': 'المرجعية',
          'Print': 'اطبع الملف',
          'Password Protected': 'كلمة المرور مطلوبة',
          'Copy': 'نسخ',
          'Text Selection': 'أداة اختيار النص',
          'Panning': 'وضع عموم',
          'Text Search': 'بحث عن نص',
          'Find in document': 'ابحث في المستند',
          'Match case': 'حالة مباراة',
          'Apply': 'تطبيق',
          'GoToPage': 'انتقل إلى صفحة',
          'No matches': 'انتهى العارض من البحث في المستند. لم يتم العثور على مزيد من التطابقات',
          'No Text Found': 'لم يتم العثور على نص',
          'Undo': 'فك',
          'Redo': 'فعل ثانية',
          'Annotation': 'إضافة أو تعديل التعليقات التوضيحية',
          'Highlight': 'تسليط الضوء على النص',
          'Underline': 'تسطير النص',
          'Strikethrough': 'نص يتوسطه خط',
          'Delete': 'حذف التعليق التوضيحي',
          'Opacity': 'غموض',
          'Color edit': 'غير اللون',
          'Opacity edit': 'تغيير التعتيم',
          'highlight': 'تسليط الضوء',
          'underline': 'أكد',
          'strikethrough': 'يتوسطه',
          // tslint:disable-next-line:max-line-length
          'Server error': 'خدمة الانترنت لا يستمع. يعتمد قوات الدفاع الشعبي المشاهد على خدمة الويب لجميع ميزاته. يرجى بدء خدمة الويب للمتابعة.',
          'Open text': 'افتح',
          'First text': 'الصفحة الأولى',
          'Previous text': 'الصفحة السابقة',
          'Next text': 'الصفحة التالية',
          'Last text': 'آخر صفحة',
          'Zoom in text': 'تكبير',
          'Zoom out text': 'تصغير',
          'Selection text': 'اختيار',
          'Pan text': 'مقلاة',
          'Print text': 'طباعة',
          'Seach text': 'بحث',
          'Annotation Edit text': 'تحرير التعليق التوضيحي',
          'Line Thickness': 'سمك الخط',
          'Line Properties': 'خط الخصائص',
          'Start Arrow': 'ابدأ السهم',
          'End Arrow': 'نهاية السهم',
          'Line Style': 'أسلوب الخط',
          'Fill Color': 'ملء اللون',
          'Line Color': ' الخط اللون',
          'None': 'لا شيء',
          'Open Arrow': 'افتح',
          'Closed Arrow': 'مغلق',
          'Round Arrow': 'مستدير',
          'Square Arrow': 'مربع',
          'Diamond Arrow': 'الماس',
          'Cut': 'يقطع',
          'Paste': 'معجون',
          'Delete Context': 'حذف',
          'Properties': 'الخصائص',
          'Add Stamp': 'إضافة الطوابع',
          'Add Shapes': 'أضف الأشكال',
          'Stroke edit': 'تغيير لون السكتة الدماغية',
          'Change thickness': 'تغيير سمك الحدود',
          'Add line': 'إضافة خط',
          'Add arrow': 'سهم إضافة',
          'Add rectangle': 'أضف مستطيل',
          'Add circle': 'إضافة دائرة',
          'Add polygon': 'أضف مضلع',
          'Add Comments': 'أضف تعليقات',
          'Comments': 'تعليقات',
          'No Comments Yet': 'لا توجد تعليقات حتى الآن',
          'Accepted': 'وافقت',
          'Completed': 'منجز',
          'Cancelled': 'ألغيت',
          'Rejected': 'مرفوض',
          'Leader Length': 'زعيم الطول',
          'Scale Ratio': 'نسبة مقياس',
          'Calibrate': 'عاير',
          'Calibrate Distance': 'معايرة المسافة',
          'Calibrate Perimeter': 'معايرة محيط',
          'Calibrate Area': 'عاير منطقة',
          'Calibrate Radius': 'معايرة نصف القطر',
          'Calibrate Volume': 'معايرة الحجم',
          'Depth': 'عمق',
          'Closed': 'مغلق',
          'Round': 'مستدير',
          'Square': 'ميدان',
          'Diamond': 'الماس',
          'Edit': 'تصحيح',
          'Comment': 'تعليقات',
          'Comment Panel': 'لوحة التعليقات',
          'Set Status': 'تعيين الحالة',
          'Post': 'بريد',
          'Page': 'صفحة',
          'Add a comment': 'أضف تعليق',
          'Add a reply': 'أضف رد',
          'Import Annotations': 'استيراد التعليقات التوضيحية',
          'Export Annotations': 'شروح التصدير',
          'Add': 'أضف',
          'Clear': 'واضح',
          'Bold': 'بالخط العريض',
          'Italic': 'مائل',
          'Strikethroughs': 'يتوسطه',
          'Underlines': 'تحت الخط',
          'Superscript': 'حرف فوقي',
          'Subscript': 'الفرعية النصي',
          'Align left': 'محاذاة اليسار',
          'Align right': 'محاذاة اليمين',
          'Center': 'مركز',
          'Justify': 'برر',
          'Font color': 'لون الخط',
          'Text Align': 'محاذاة النص',
          'Text Properties': 'نوع الخط',
          'Draw Signature': 'ارسم التوقيع',
          'Create': 'خلق',
          'Font family': 'خط العائلة',
          'Font size': 'حجم الخط',
          'Free Text': 'نص حر',
          'Import Failed': 'نوع ملف سلمان أو اسم الملف غير صالح ؛ يرجى تحديد ملف سلمانصالح',
          'File not found': 'لم يتم العثور على ملف سلمان المستورد في الموقع المطلوب',
          'Export Failed': 'شل إجراء تصدير التعليقات التوضيحية ؛ يرجى التأكد من إضافة التعليقات التوضيحية بشكل صحيح',
          'Dynamic': 'متحرك',
          'Standard Business': 'الأعمال القياسية',
          'Sign Here': 'وقع هنا',
          'Custom Stamp': 'ختم مخصص',
          'InitialFieldDialogHeaderText': 'إضافة الأولية',
          'HandwrittenInitialDialogHeaderText': 'إضافة الأولية',
          'SignatureFieldDialogHeaderText': 'أضف التوقيع',
          'HandwrittenSignatureDialogHeaderText': 'أضف التوقيع',
          'Draw-hand Signature': 'يرسم',
          'Type Signature': 'نوع',
          'Upload Signature': 'تحميل',
          'Browse Signature Image': 'تصفح',
          'Save Signature': 'احفظ التوقيع',
          'Save Initial': 'حفظ الأولي',
          'Highlight context': 'تسليط الضوء',
          'Underline context': 'تسطير',
          'Strikethrough context': 'يتوسطه خط',
          'FormDesigner': 'إضافة وتحرير حقل النموذج',
          'SubmitForm': 'تقديم النموذج',
          'Search text': 'بحث',
          'Draw Ink': 'ارسم الحبر',
          'Revised': 'مراجعة',
          'Reviewed': 'تمت المراجعة',
          'Received': 'تم الاستلام',
          'Confidential': 'مؤتمن',
          'Approved': 'وافق',
          'Not Approved': 'غير مقبول',
          'Witness': 'الشاهد',
          'Initial Here': 'المبدئي هنا',
          'Draft': 'مشروع',
          'Final': 'أخير',
          'For Public Release': 'للنشر العام',
          'Not For Public Release': 'ليس للنشر العام',
          'For Comment': 'للتعليق',
          'Void': 'فارغ',
          'Preliminary Results': 'نتائج اولية',
          'Information Only': 'المعلومات فقط',
          'Enter Signature as Name': 'أدخل أسمك',
          'Textbox': 'مربع الكتابة',
          'Password': 'كلمه السر',
          'Check Box': 'خانة اختيار',
          'Radio Button': 'زر الراديو',
          'Dropdown': 'اسقاط',
          'List Box': 'مربع القائمة',
          'Signature': 'إمضاء',
          'Delete FormField': 'حذف حقل النموذج',
          'FormDesigner Edit text': 'إضافة وتحرير حقل النموذج',
          'in': 'في',
          'm': 'م',
          'ft_in': 'قدم',
          'ft': 'قدم',
          'p': 'ص',
          'cm': 'سم',
          'mm': 'مم',
          'pt': 'نقطة',
          'cu': 'مكعب',
          'sq': 'قدم مربع',
          'General': 'جنرال لواء',
          'Appearance': 'مظهر خارجي',
          'Options': 'والخيارات',
          'Textbox Properties': 'خصائص مربع النص',
          'Name': 'اسم',
          'Tooltip': 'تلميح',
          'Value': 'القيمة',
          'Form Field Visibility': 'رؤية حقل النموذج',
          'Read Only': 'يقرأ فقط',
          'Required': 'مطلوب',
          'Checked': 'التحقق',
          'Show Printing': 'عرض الطباعة',
          'Formatting': 'صيغة',
          'Fill': 'يملأ',
          'Border': 'الحدود',
          'Border Color': 'لون الحدود',
          'Thickness': 'السماكة',
          'Max Length': 'الحد الاقصى للطول',
          'List Item': 'اسم العنصر',
          'Export Value': 'قيمة البند',
          'Dropdown Item List': 'قائمة العناصر المنسدلة',
          'List Box Item List': 'قائمة عناصر مربع القائمة',
          'Delete Item': 'حذف',
          'Up': 'فوق',
          'Down': 'تحت',
          'Multiline': 'متعدد الأسطر',
          'Initial': 'أولي',
          'Export XFDF': 'تصدير التعليق التوضيحي إلى ملف XFDF',
          'Import XFDF': 'استيراد التعليقات التوضيحية من ملف XFDF'
      }
    }
});

function App() {
  return ( <div>
    <div className='control-section'>
       {/* Render the PDF Viewer */}
        <PdfViewerComponent 
          id="container" 
          documentPath="https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf" 
          resourceUrl="https://cdn.syncfusion.com/ej2/24.1.41/dist/ej2-pdfviewer-lib"
          locale="ar-AE"  
          style={{ 'height': '640px' }}>
                  <Inject services={[ Toolbar, Annotation, Magnification, Navigation, LinkAnnotation, BookmarkView, 
                                      ThumbnailView, Print, TextSelection, TextSearch, FormDesigner, FormFields ]} />
       </PdfViewerComponent>
      </div>
  </div>);
}
const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);
import * as ReactDOM from 'react-dom';
import * as React from 'react';
import './index.css';
import { PdfViewerComponent, Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView,
         ThumbnailView, Print, TextSelection, TextSearch, Annotation, FormDesigner, FormFields, Inject } from '@syncfusion/ej2-react-pdfviewer';
import {L10n} from '@syncfusion/ej2-base';

//PDF Viewer Arabic Sample Locale
L10n.load({
    'ar-AE': {
        'PdfViewer' : {
          'PdfViewer': 'قوات الدفاع الشعبي المشاهد',
          'Cancel': 'إلغاء',
          'Download file': 'تحميل الملف',
          'Download': 'تحميل',
          'Enter Password': 'هذا المستند محمي بكلمة مرور. يرجى إدخال كلمة مرور.',
          'File Corrupted': 'ملف تالف',
          'File Corrupted Content': 'الملف تالف ولا يمكن فتحه.',
          'Fit Page': 'لائق بدنيا الصفحة',
          'Fit Width': 'لائق بدنيا عرض',
          'Automatic': 'تلقائي',
          'Go To First Page': 'عرض الصفحة الأولى',
          'Invalid Password': 'كلمة سر خاطئة. حاول مرة اخرى.',
          'Next Page': 'عرض الصفحة التالية',
          'OK': 'حسنا',
          'Open': 'فتح الملف',
          'Page Number': 'رقم الصفحة الحالية',
          'Previous Page': 'عرض الصفحة السابقة',
          'Go To Last Page': 'عرض الصفحة الأخيرة',
          'Zoom': 'تكبير',
          'Zoom In': 'تكبير في',
          'Zoom Out': 'تكبير خارج',
          'Page Thumbnails': 'مصغرات الصفحة',
          'Bookmarks': 'المرجعية',
          'Print': 'اطبع الملف',
          'Password Protected': 'كلمة المرور مطلوبة',
          'Copy': 'نسخ',
          'Text Selection': 'أداة اختيار النص',
          'Panning': 'وضع عموم',
          'Text Search': 'بحث عن نص',
          'Find in document': 'ابحث في المستند',
          'Match case': 'حالة مباراة',
          'Apply': 'تطبيق',
          'GoToPage': 'انتقل إلى صفحة',
          'No matches': 'انتهى العارض من البحث في المستند. لم يتم العثور على مزيد من التطابقات',
          'No Text Found': 'لم يتم العثور على نص',
          'Undo': 'فك',
          'Redo': 'فعل ثانية',
          'Annotation': 'إضافة أو تعديل التعليقات التوضيحية',
          'Highlight': 'تسليط الضوء على النص',
          'Underline': 'تسطير النص',
          'Strikethrough': 'نص يتوسطه خط',
          'Delete': 'حذف التعليق التوضيحي',
          'Opacity': 'غموض',
          'Color edit': 'غير اللون',
          'Opacity edit': 'تغيير التعتيم',
          'highlight': 'تسليط الضوء',
          'underline': 'أكد',
          'strikethrough': 'يتوسطه',
          // tslint:disable-next-line:max-line-length
          'Server error': 'خدمة الانترنت لا يستمع. يعتمد قوات الدفاع الشعبي المشاهد على خدمة الويب لجميع ميزاته. يرجى بدء خدمة الويب للمتابعة.',
          'Open text': 'افتح',
          'First text': 'الصفحة الأولى',
          'Previous text': 'الصفحة السابقة',
          'Next text': 'الصفحة التالية',
          'Last text': 'آخر صفحة',
          'Zoom in text': 'تكبير',
          'Zoom out text': 'تصغير',
          'Selection text': 'اختيار',
          'Pan text': 'مقلاة',
          'Print text': 'طباعة',
          'Seach text': 'بحث',
          'Annotation Edit text': 'تحرير التعليق التوضيحي',
          'Line Thickness': 'سمك الخط',
          'Line Properties': 'خط الخصائص',
          'Start Arrow': 'ابدأ السهم',
          'End Arrow': 'نهاية السهم',
          'Line Style': 'أسلوب الخط',
          'Fill Color': 'ملء اللون',
          'Line Color': ' الخط اللون',
          'None': 'لا شيء',
          'Open Arrow': 'افتح',
          'Closed Arrow': 'مغلق',
          'Round Arrow': 'مستدير',
          'Square Arrow': 'مربع',
          'Diamond Arrow': 'الماس',
          'Cut': 'يقطع',
          'Paste': 'معجون',
          'Delete Context': 'حذف',
          'Properties': 'الخصائص',
          'Add Stamp': 'إضافة الطوابع',
          'Add Shapes': 'أضف الأشكال',
          'Stroke edit': 'تغيير لون السكتة الدماغية',
          'Change thickness': 'تغيير سمك الحدود',
          'Add line': 'إضافة خط',
          'Add arrow': 'سهم إضافة',
          'Add rectangle': 'أضف مستطيل',
          'Add circle': 'إضافة دائرة',
          'Add polygon': 'أضف مضلع',
          'Add Comments': 'أضف تعليقات',
          'Comments': 'تعليقات',
          'No Comments Yet': 'لا توجد تعليقات حتى الآن',
          'Accepted': 'وافقت',
          'Completed': 'منجز',
          'Cancelled': 'ألغيت',
          'Rejected': 'مرفوض',
          'Leader Length': 'زعيم الطول',
          'Scale Ratio': 'نسبة مقياس',
          'Calibrate': 'عاير',
          'Calibrate Distance': 'معايرة المسافة',
          'Calibrate Perimeter': 'معايرة محيط',
          'Calibrate Area': 'عاير منطقة',
          'Calibrate Radius': 'معايرة نصف القطر',
          'Calibrate Volume': 'معايرة الحجم',
          'Depth': 'عمق',
          'Closed': 'مغلق',
          'Round': 'مستدير',
          'Square': 'ميدان',
          'Diamond': 'الماس',
          'Edit': 'تصحيح',
          'Comment': 'تعليقات',
          'Comment Panel': 'لوحة التعليقات',
          'Set Status': 'تعيين الحالة',
          'Post': 'بريد',
          'Page': 'صفحة',
          'Add a comment': 'أضف تعليق',
          'Add a reply': 'أضف رد',
          'Import Annotations': 'استيراد التعليقات التوضيحية',
          'Export Annotations': 'شروح التصدير',
          'Add': 'أضف',
          'Clear': 'واضح',
          'Bold': 'بالخط العريض',
          'Italic': 'مائل',
          'Strikethroughs': 'يتوسطه',
          'Underlines': 'تحت الخط',
          'Superscript': 'حرف فوقي',
          'Subscript': 'الفرعية النصي',
          'Align left': 'محاذاة اليسار',
          'Align right': 'محاذاة اليمين',
          'Center': 'مركز',
          'Justify': 'برر',
          'Font color': 'لون الخط',
          'Text Align': 'محاذاة النص',
          'Text Properties': 'نوع الخط',
          'Draw Signature': 'ارسم التوقيع',
          'Create': 'خلق',
          'Font family': 'خط العائلة',
          'Font size': 'حجم الخط',
          'Free Text': 'نص حر',
          'Import Failed': 'نوع ملف سلمان أو اسم الملف غير صالح ؛ يرجى تحديد ملف سلمانصالح',
          'File not found': 'لم يتم العثور على ملف سلمان المستورد في الموقع المطلوب',
          'Export Failed': 'شل إجراء تصدير التعليقات التوضيحية ؛ يرجى التأكد من إضافة التعليقات التوضيحية بشكل صحيح',
          'Dynamic': 'متحرك',
          'Standard Business': 'الأعمال القياسية',
          'Sign Here': 'وقع هنا',
          'Custom Stamp': 'ختم مخصص',
          'InitialFieldDialogHeaderText': 'إضافة الأولية',
          'HandwrittenInitialDialogHeaderText': 'إضافة الأولية',
          'SignatureFieldDialogHeaderText': 'أضف التوقيع',
          'HandwrittenSignatureDialogHeaderText': 'أضف التوقيع',
          'Draw-hand Signature': 'يرسم',
          'Type Signature': 'نوع',
          'Upload Signature': 'تحميل',
          'Browse Signature Image': 'تصفح',
          'Save Signature': 'احفظ التوقيع',
          'Save Initial': 'حفظ الأولي',
          'Highlight context': 'تسليط الضوء',
          'Underline context': 'تسطير',
          'Strikethrough context': 'يتوسطه خط',
          'FormDesigner': 'إضافة وتحرير حقل النموذج',
          'SubmitForm': 'تقديم النموذج',
          'Search text': 'بحث',
          'Draw Ink': 'ارسم الحبر',
          'Revised': 'مراجعة',
          'Reviewed': 'تمت المراجعة',
          'Received': 'تم الاستلام',
          'Confidential': 'مؤتمن',
          'Approved': 'وافق',
          'Not Approved': 'غير مقبول',
          'Witness': 'الشاهد',
          'Initial Here': 'المبدئي هنا',
          'Draft': 'مشروع',
          'Final': 'أخير',
          'For Public Release': 'للنشر العام',
          'Not For Public Release': 'ليس للنشر العام',
          'For Comment': 'للتعليق',
          'Void': 'فارغ',
          'Preliminary Results': 'نتائج اولية',
          'Information Only': 'المعلومات فقط',
          'Enter Signature as Name': 'أدخل أسمك',
          'Textbox': 'مربع الكتابة',
          'Password': 'كلمه السر',
          'Check Box': 'خانة اختيار',
          'Radio Button': 'زر الراديو',
          'Dropdown': 'اسقاط',
          'List Box': 'مربع القائمة',
          'Signature': 'إمضاء',
          'Delete FormField': 'حذف حقل النموذج',
          'FormDesigner Edit text': 'إضافة وتحرير حقل النموذج',
          'in': 'في',
          'm': 'م',
          'ft_in': 'قدم',
          'ft': 'قدم',
          'p': 'ص',
          'cm': 'سم',
          'mm': 'مم',
          'pt': 'نقطة',
          'cu': 'مكعب',
          'sq': 'قدم مربع',
          'General': 'جنرال لواء',
          'Appearance': 'مظهر خارجي',
          'Options': 'والخيارات',
          'Textbox Properties': 'خصائص مربع النص',
          'Name': 'اسم',
          'Tooltip': 'تلميح',
          'Value': 'القيمة',
          'Form Field Visibility': 'رؤية حقل النموذج',
          'Read Only': 'يقرأ فقط',
          'Required': 'مطلوب',
          'Checked': 'التحقق',
          'Show Printing': 'عرض الطباعة',
          'Formatting': 'صيغة',
          'Fill': 'يملأ',
          'Border': 'الحدود',
          'Border Color': 'لون الحدود',
          'Thickness': 'السماكة',
          'Max Length': 'الحد الاقصى للطول',
          'List Item': 'اسم العنصر',
          'Export Value': 'قيمة البند',
          'Dropdown Item List': 'قائمة العناصر المنسدلة',
          'List Box Item List': 'قائمة عناصر مربع القائمة',
          'Delete Item': 'حذف',
          'Up': 'فوق',
          'Down': 'تحت',
          'Multiline': 'متعدد الأسطر',
          'Initial': 'أولي',
          'Export XFDF': 'تصدير التعليق التوضيحي إلى ملف XFDF',
          'Import XFDF': 'استيراد التعليقات التوضيحية من ملف XFDF'
      }
    }
});

function App() {
  return ( <div>
    <div className='control-section'>
       {/* Render the PDF Viewer */}
        <PdfViewerComponent 
          id="container" 
          documentPath="https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf" 
          locale="ar-AE" 
          serviceUrl="https://services.syncfusion.com/react/production/api/pdfviewer" 
          style={{ 'height': '640px' }}>
                  <Inject services={[ Toolbar, Annotation, Magnification, Navigation, LinkAnnotation, BookmarkView, 
                                      ThumbnailView, Print, TextSelection, TextSearch, FormDesigner, FormFields ]} />
       </PdfViewerComponent>
      </div>
  </div>);
}
const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);